Index: trunk/SRC/Documentation/idldoc_html_output/idldoc-index-T.html
===================================================================
--- trunk/SRC/Documentation/idldoc_html_output/idldoc-index-T.html	(revision 114)
+++ trunk/SRC/Documentation/idldoc_html_output/idldoc-index-T.html	(revision 118)
@@ -817,10 +817,10 @@
 	<dd>a keyword from the routine read_ncdf</dd>
 	
+	<dt><a href="./buildinit.html?format=raw#_CW_FIELD2">TITLE</a></dt>
+	<dd>a keyword from the routine CW_FIELD2</dd>
+	
 	<dt><a href="./Utilities/isadirectory.html?format=raw#_isadirectory">TITLE</a></dt>
 	<dd>a keyword from the routine isadirectory</dd>
 	
-	<dt><a href="./buildinit.html?format=raw#_CW_FIELD2">TITLE</a></dt>
-	<dd>a keyword from the routine CW_FIELD2</dd>
-	
 	<dt><a href="./ToBeReviewed/HOPE/read_hope.html?format=raw#_read_hope">TLIMITS</a></dt>
 	<dd>a keyword from the routine read_hope</dd>
@@ -829,34 +829,34 @@
 	<dd>a keyword from the routine COLORBAR</dd>
 	
+	<dt><a href="./Obsolete/lec.html?format=raw#_lec">TOUT</a></dt>
+	<dd>a keyword from the routine lec</dd>
+	
+	<dt><a href="./Obsolete/nlecmois.html?format=raw#_nlecmois">TOUT</a></dt>
+	<dd>a keyword from the routine nlecmois</dd>
+	
+	<dt><a href="./Obsolete/nlecsaison.html?format=raw#_nlecsaison">TOUT</a></dt>
+	<dd>a keyword from the routine nlecsaison</dd>
+	
+	<dt><a href="./Obsolete/nlecserie.html?format=raw#_nlecserie">TOUT</a></dt>
+	<dd>a keyword from the routine nlecserie</dd>
+	
+	<dt><a href="./Obsolete/nlec5j.html?format=raw#_nlec5j">TOUT</a></dt>
+	<dd>a keyword from the routine nlec5j</dd>
+	
+	<dt><a href="./ToBeReviewed/TRIANGULATION/ciseauxtri.html?format=raw#_ciseauxtri">TOUT</a></dt>
+	<dd>a keyword from the routine ciseauxtri</dd>
+	
+	<dt><a href="./ToBeReviewed/LECTURE/read_ncdf.html?format=raw#_read_ncdf">TOUT</a></dt>
+	<dd>a keyword from the routine read_ncdf</dd>
+	
+	<dt><a href="./Obsolete/nlec.html?format=raw#_nlec">TOUT</a></dt>
+	<dd>a keyword from the routine nlec</dd>
+	
+	<dt><a href="./ToBeReviewed/GRILLE/grille.html?format=raw#_grille">TOUT</a></dt>
+	<dd>a keyword from the routine grille</dd>
+	
 	<dt><a href="./Obsolete/nlecan.html?format=raw#_nlecan">TOUT</a></dt>
 	<dd>a keyword from the routine nlecan</dd>
 	
-	<dt><a href="./Obsolete/nlecmois.html?format=raw#_nlecmois">TOUT</a></dt>
-	<dd>a keyword from the routine nlecmois</dd>
-	
-	<dt><a href="./Obsolete/nlecsaison.html?format=raw#_nlecsaison">TOUT</a></dt>
-	<dd>a keyword from the routine nlecsaison</dd>
-	
-	<dt><a href="./Obsolete/nlecserie.html?format=raw#_nlecserie">TOUT</a></dt>
-	<dd>a keyword from the routine nlecserie</dd>
-	
-	<dt><a href="./ToBeReviewed/LECTURE/read_ncdf.html?format=raw#_read_ncdf">TOUT</a></dt>
-	<dd>a keyword from the routine read_ncdf</dd>
-	
-	<dt><a href="./ToBeReviewed/TRIANGULATION/ciseauxtri.html?format=raw#_ciseauxtri">TOUT</a></dt>
-	<dd>a keyword from the routine ciseauxtri</dd>
-	
-	<dt><a href="./ToBeReviewed/GRILLE/grille.html?format=raw#_grille">TOUT</a></dt>
-	<dd>a keyword from the routine grille</dd>
-	
-	<dt><a href="./Obsolete/nlec5j.html?format=raw#_nlec5j">TOUT</a></dt>
-	<dd>a keyword from the routine nlec5j</dd>
-	
-	<dt><a href="./Obsolete/nlec.html?format=raw#_nlec">TOUT</a></dt>
-	<dd>a keyword from the routine nlec</dd>
-	
-	<dt><a href="./Obsolete/lec.html?format=raw#_lec">TOUT</a></dt>
-	<dd>a keyword from the routine lec</dd>
-	
 	<dt><a href="./Obsolete/imprime.html?format=raw#_imprime">TRANS</a></dt>
 	<dd>a keyword from the routine imprime</dd>
@@ -868,19 +868,19 @@
 	<dd>a keyword from the routine pltt</dd>
 	
+	<dt><a href="./ToBeReviewed/GRILLE/decoupeterre.html?format=raw#_decoupeterre">TRI</a></dt>
+	<dd>a keyword from the routine decoupeterre</dd>
+	
 	<dt><a href="./ToBeReviewed/GRILLE/grille.html?format=raw#_grille">TRI</a></dt>
 	<dd>a keyword from the routine grille</dd>
 	
-	<dt><a href="./ToBeReviewed/GRILLE/decoupeterre.html?format=raw#_decoupeterre">TRI</a></dt>
-	<dd>a keyword from the routine decoupeterre</dd>
-	
 	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/pltbase.html?format=raw#_pltbase">TRICHAMP</a></dt>
 	<dd>a keyword from the routine pltbase</dd>
 	
+	<dt><a href="./Textoidl/str_token.html?format=raw#_Str_token">TRIM</a></dt>
+	<dd>a keyword from the routine Str_token</dd>
+	
 	<dt><a href="./ToBeReviewed/STRING/strsci.html?format=raw#_StrSci">TRIM</a></dt>
 	<dd>a keyword from the routine StrSci</dd>
 	
-	<dt><a href="./Textoidl/str_token.html?format=raw#_Str_token">TRIM</a></dt>
-	<dd>a keyword from the routine Str_token</dd>
-	
 	<dt><a href="./ToBeReviewed/STRING/strtok.html?format=raw#_Strtok">TRIM</a></dt>
 	<dd>a keyword from the routine Strtok</dd>
@@ -895,19 +895,16 @@
 	<dd>a keyword from the routine GETCOLOR</dd>
 	
+	<dt><a href="./ToBeReviewed/PLOTS/DIVERS/checktypeminmax.html?format=raw#_checktypeminmax">TT</a></dt>
+	<dd>a keyword from the routine checktypeminmax</dd>
+	
+	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/plt1d.html?format=raw#_plt1d">TT</a></dt>
+	<dd>a keyword from the routine plt1d</dd>
+	
 	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/pltt.html?format=raw#_pltt">TT</a></dt>
 	<dd>a keyword from the routine pltt</dd>
 	
-	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/plt1d.html?format=raw#_plt1d">TT</a></dt>
-	<dd>a keyword from the routine plt1d</dd>
-	
-	<dt><a href="./ToBeReviewed/PLOTS/DIVERS/checktypeminmax.html?format=raw#_checktypeminmax">TT</a></dt>
-	<dd>a keyword from the routine checktypeminmax</dd>
-	
 	<dt><a href="./Interpolation/map_npoints.html?format=raw#_Map_npoints">TWO_BY_TWO</a></dt>
 	<dd>a keyword from the routine Map_npoints</dd>
 	
-	<dt><a href="./ToBeReviewed/STRING/isnumber.html?format=raw#_ISNUMBER">TXT0</a></dt>
-	<dd>a parameter from the routine ./ToBeReviewed/STRING/isnumber</dd>
-	
 	<dt><a href="./ToBeReviewed/STRING/getwrd.html?format=raw#_GETWRD">TXTSTR</a></dt>
 	<dd>a parameter from the routine ./ToBeReviewed/STRING/getwrd</dd>
@@ -916,28 +913,28 @@
 	<dd>a keyword from the routine checktypeminmax</dd>
 	
+	<dt><a href="./ToBeReviewed/GRILLE/decoupeterre.html?format=raw#_decoupeterre">TYPE</a></dt>
+	<dd>a keyword from the routine decoupeterre</dd>
+	
+	<dt><a href="./ToBeReviewed/PLOTS/DIVERS/placedessin.html?format=raw#_placedessin">TYPE</a></dt>
+	<dd>a keyword from the routine placedessin</dd>
+	
 	<dt><a href="./ToBeReviewed/PLOTS/DIVERS/checkfield.html?format=raw#_checkfield">TYPE</a></dt>
 	<dd>a keyword from the routine checkfield</dd>
 	
+	<dt><a href="./ToBeReviewed/TRIANGULATION/section.html?format=raw#_section">TYPE</a></dt>
+	<dd>a keyword from the routine section</dd>
+	
 	<dt><a href="./ToBeReviewed/GRILLE/domdef.html?format=raw#_domdef">TYPE</a></dt>
 	<dd>a keyword from the routine domdef</dd>
 	
-	<dt><a href="./ToBeReviewed/PLOTS/DIVERS/placedessin.html?format=raw#_placedessin">TYPE</a></dt>
-	<dd>a keyword from the routine placedessin</dd>
-	
-	<dt><a href="./ToBeReviewed/TRIANGULATION/section.html?format=raw#_section">TYPE</a></dt>
-	<dd>a keyword from the routine section</dd>
-	
-	<dt><a href="./ToBeReviewed/GRILLE/decoupeterre.html?format=raw#_decoupeterre">TYPE</a></dt>
-	<dd>a keyword from the routine decoupeterre</dd>
-	
 	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/plt1d.html?format=raw#_plt1d">TYPEIN</a></dt>
 	<dd>a keyword from the routine plt1d</dd>
 	
+	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/pltz.html?format=raw#_pltz">TYPEIN</a></dt>
+	<dd>a keyword from the routine pltz</dd>
+	
 	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/pltt.html?format=raw#_pltt">TYPEIN</a></dt>
 	<dd>a keyword from the routine pltt</dd>
 	
-	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/pltz.html?format=raw#_pltz">TYPEIN</a></dt>
-	<dd>a keyword from the routine pltz</dd>
-	
 	<dt><a href="./ToBeReviewed/PLOTS/legende.html?format=raw#_legende">TYPE_YZ</a></dt>
 	<dd>a keyword from the routine legende</dd>
@@ -961,49 +958,49 @@
 	<dd>a file from the directory ./ToBeReviewed/GRILLE</dd>
 	
+	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/pltz.html?format=raw#_pltz">tab</a></dt>
+	<dd>a parameter from the routine ./ToBeReviewed/PLOTS/DESSINE/pltz</dd>
+	
+	<dt><a href="./ToBeReviewed/MATRICE/extrait.html?format=raw#_extrait">tab</a></dt>
+	<dd>a parameter from the routine ./ToBeReviewed/MATRICE/extrait</dd>
+	
+	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/pltt.html?format=raw#_pltt">tab</a></dt>
+	<dd>a parameter from the routine ./ToBeReviewed/PLOTS/DESSINE/pltt</dd>
+	
+	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/plt1d.html?format=raw#_plt1d">tab</a></dt>
+	<dd>a parameter from the routine ./ToBeReviewed/PLOTS/DESSINE/plt1d</dd>
+	
+	<dt><a href="./ToBeReviewed/CALCULS/depth2floatlevel.html?format=raw#_depth2floatlevel">tab</a></dt>
+	<dd>a parameter from the routine ./ToBeReviewed/CALCULS/depth2floatlevel</dd>
+	
+	<dt><a href="./ToBeReviewed/CALCULS/depth2level.html?format=raw#_depth2level">tab</a></dt>
+	<dd>a parameter from the routine ./ToBeReviewed/CALCULS/depth2level</dd>
+	
 	<dt><a href="./ToBeReviewed/CALCULS/depth2mask.html?format=raw#_depth2mask">tab</a></dt>
 	<dd>a parameter from the routine ./ToBeReviewed/CALCULS/depth2mask</dd>
 	
-	<dt><a href="./ToBeReviewed/MATRICE/extrait.html?format=raw#_extrait">tab</a></dt>
-	<dd>a parameter from the routine ./ToBeReviewed/MATRICE/extrait</dd>
-	
-	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/pltt.html?format=raw#_pltt">tab</a></dt>
-	<dd>a parameter from the routine ./ToBeReviewed/PLOTS/DESSINE/pltt</dd>
+	<dt><a href="./ToBeReviewed/CALCULS/floatlevel2depth.html?format=raw#_floatlevel2depth">tab</a></dt>
+	<dd>a parameter from the routine ./ToBeReviewed/CALCULS/floatlevel2depth</dd>
+	
+	<dt><a href="./ToBeReviewed/CALCULS/grossemoyenne.html?format=raw#_grossemoyenne">tab</a></dt>
+	<dd>a parameter from the routine ./ToBeReviewed/CALCULS/grossemoyenne</dd>
+	
+	<dt><a href="./ToBeReviewed/CALCULS/level2depth.html?format=raw#_level2depth">tab</a></dt>
+	<dd>a parameter from the routine ./ToBeReviewed/CALCULS/level2depth</dd>
+	
+	<dt><a href="./ToBeReviewed/CALCULS/level2mask.html?format=raw#_level2mask">tab</a></dt>
+	<dd>a parameter from the routine ./ToBeReviewed/CALCULS/level2mask</dd>
 	
 	<dt><a href="./ToBeReviewed/PLOTS/DIVERS/determineminmax.html?format=raw#_determineminmax">tab</a></dt>
 	<dd>a parameter from the routine ./ToBeReviewed/PLOTS/DIVERS/determineminmax</dd>
 	
-	<dt><a href="./ToBeReviewed/CALCULS/floatlevel2depth.html?format=raw#_floatlevel2depth">tab</a></dt>
-	<dd>a parameter from the routine ./ToBeReviewed/CALCULS/floatlevel2depth</dd>
-	
-	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/plt1d.html?format=raw#_plt1d">tab</a></dt>
-	<dd>a parameter from the routine ./ToBeReviewed/PLOTS/DESSINE/plt1d</dd>
-	
-	<dt><a href="./ToBeReviewed/CALCULS/depth2floatlevel.html?format=raw#_depth2floatlevel">tab</a></dt>
-	<dd>a parameter from the routine ./ToBeReviewed/CALCULS/depth2floatlevel</dd>
-	
-	<dt><a href="./ToBeReviewed/CALCULS/depth2level.html?format=raw#_depth2level">tab</a></dt>
-	<dd>a parameter from the routine ./ToBeReviewed/CALCULS/depth2level</dd>
-	
-	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/pltz.html?format=raw#_pltz">tab</a></dt>
-	<dd>a parameter from the routine ./ToBeReviewed/PLOTS/DESSINE/pltz</dd>
-	
 	<dt><a href="./ToBeReviewed/CALCULS/moyenne.html?format=raw#_moyenne">tab</a></dt>
 	<dd>a parameter from the routine ./ToBeReviewed/CALCULS/moyenne</dd>
 	
-	<dt><a href="./ToBeReviewed/CALCULS/level2mask.html?format=raw#_level2mask">tab</a></dt>
-	<dd>a parameter from the routine ./ToBeReviewed/CALCULS/level2mask</dd>
-	
-	<dt><a href="./ToBeReviewed/CALCULS/level2depth.html?format=raw#_level2depth">tab</a></dt>
-	<dd>a parameter from the routine ./ToBeReviewed/CALCULS/level2depth</dd>
-	
-	<dt><a href="./ToBeReviewed/CALCULS/grossemoyenne.html?format=raw#_grossemoyenne">tab</a></dt>
-	<dd>a parameter from the routine ./ToBeReviewed/CALCULS/grossemoyenne</dd>
+	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/pltsc.html?format=raw#_pltsc">tab1</a></dt>
+	<dd>a parameter from the routine ./ToBeReviewed/PLOTS/DESSINE/pltsc</dd>
 	
 	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/plt.html?format=raw#_plt">tab1</a></dt>
 	<dd>a parameter from the routine ./ToBeReviewed/PLOTS/DESSINE/plt</dd>
 	
-	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/pltsc.html?format=raw#_pltsc">tab1</a></dt>
-	<dd>a parameter from the routine ./ToBeReviewed/PLOTS/DESSINE/pltsc</dd>
-	
 	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/pltsc.html?format=raw#_pltsc">tab2</a></dt>
 	<dd>a parameter from the routine ./ToBeReviewed/PLOTS/DESSINE/pltsc</dd>
@@ -1036,16 +1033,16 @@
 	<dd>a keyword from the routine readoldoparestart</dd>
 	
+	<dt><a href="./ToBeReviewed/GRILLE/t2v.html?format=raw#_t2v">temp</a></dt>
+	<dd>a parameter from the routine ./ToBeReviewed/GRILLE/t2v</dd>
+	
 	<dt><a href="./ToBeReviewed/GRILLE/v2t.html?format=raw#_v2t">temp</a></dt>
 	<dd>a parameter from the routine ./ToBeReviewed/GRILLE/v2t</dd>
 	
+	<dt><a href="./ToBeReviewed/GRILLE/f2v.html?format=raw#_f2v">temp</a></dt>
+	<dd>a parameter from the routine ./ToBeReviewed/GRILLE/f2v</dd>
+	
 	<dt><a href="./ToBeReviewed/GRILLE/u2t.html?format=raw#_u2t">temp</a></dt>
 	<dd>a parameter from the routine ./ToBeReviewed/GRILLE/u2t</dd>
 	
-	<dt><a href="./ToBeReviewed/GRILLE/f2v.html?format=raw#_f2v">temp</a></dt>
-	<dd>a parameter from the routine ./ToBeReviewed/GRILLE/f2v</dd>
-	
-	<dt><a href="./ToBeReviewed/GRILLE/t2v.html?format=raw#_t2v">temp</a></dt>
-	<dd>a parameter from the routine ./ToBeReviewed/GRILLE/t2v</dd>
-	
 	<dt><a href="./ToBeReviewed/PLOTS/axe.html?format=raw#_axe">tempsmax</a></dt>
 	<dd>a parameter from the routine ./ToBeReviewed/PLOTS/axe</dd>
@@ -1081,10 +1078,10 @@
 	<dd>a parameter from the routine ./ToBeReviewed/WIDGET/AUTOUR_de_XXX/inserthistory</dd>
 	
+	<dt><a href="./ToBeReviewed/LECTURE/read_ftp.html?format=raw#_ftp_parse_pasv">text</a></dt>
+	<dd>a parameter from the routine ./ToBeReviewed/LECTURE/read_ftp</dd>
+	
 	<dt><a href="./ToBeReviewed/WIDGET/xnotice.html?format=raw#_xnotice">text</a></dt>
 	<dd>a parameter from the routine ./ToBeReviewed/WIDGET/xnotice</dd>
 	
-	<dt><a href="./ToBeReviewed/LECTURE/read_ftp.html?format=raw#_ftp_parse_pasv">text</a></dt>
-	<dd>a parameter from the routine ./ToBeReviewed/LECTURE/read_ftp</dd>
-	
 	<dt><a href="./ToBeReviewed/UTILITAIRE/text_box.html?format=raw#_text_box">text_box</a></dt>
 	<dd>a procedure from the file text_box.pro</dd>
@@ -1126,15 +1123,18 @@
 	<dd>a keyword from the routine cw_slider_pm</dd>
 	
+	<dt><a href="./ToBeReviewed/CALCULS/rhon.html?format=raw#_rhon">tn</a></dt>
+	<dd>a parameter from the routine ./ToBeReviewed/CALCULS/rhon</dd>
+	
 	<dt><a href="./ReadWrite/readoldoparestart.html?format=raw#_readoldoparestart">tn</a></dt>
 	<dd>a keyword from the routine readoldoparestart</dd>
 	
-	<dt><a href="./ToBeReviewed/CALCULS/rhon.html?format=raw#_rhon">tn</a></dt>
-	<dd>a parameter from the routine ./ToBeReviewed/CALCULS/rhon</dd>
+	<dt><a href="./Textoidl/strtrans.html?format=raw#_strtrans">to</a></dt>
+	<dd>a parameter from the routine ./Textoidl/strtrans</dd>
 	
 	<dt><a href="./ToBeReviewed/STRING/strtrans.html?format=raw#_strtrans">to</a></dt>
 	<dd>a parameter from the routine ./ToBeReviewed/STRING/strtrans</dd>
 	
-	<dt><a href="./Textoidl/strtrans.html?format=raw#_strtrans">to</a></dt>
-	<dd>a parameter from the routine ./Textoidl/strtrans</dd>
+	<dt><a href="./Textoidl/str_token.html?format=raw#_Str_token">token</a></dt>
+	<dd>a parameter from the routine ./Textoidl/str_token</dd>
 	
 	<dt><a href="./Textoidl/translate_sub_super.html?format=raw#_Sub_sup_idl">token</a></dt>
@@ -1144,7 +1144,4 @@
 	<dd>a parameter from the routine ./ToBeReviewed/STRING/strtok</dd>
 	
-	<dt><a href="./Textoidl/str_token.html?format=raw#_Str_token">token</a></dt>
-	<dd>a parameter from the routine ./Textoidl/str_token</dd>
-	
 	<dt><a href="./Textoidl/sub_sup_idl.html?format=raw#_Sub_sup_idl">token</a></dt>
 	<dd>a parameter from the routine ./Textoidl/sub_sup_idl</dd>
@@ -1387,34 +1384,37 @@
 	<dd>a file from the directory ./ToBeReviewed/PLOTS/DESSINE</dd>
 	
+	<dt><a href="./ToBeReviewed/STRING/isnumber.html?format=raw#_isnumber">txt0</a></dt>
+	<dd>a parameter from the routine ./ToBeReviewed/STRING/isnumber</dd>
+	
 	<dt><a href="./ToBeReviewed/STRING/nwrds.html?format=raw#_nwrds">txtstr</a></dt>
 	<dd>a parameter from the routine ./ToBeReviewed/STRING/nwrds</dd>
 	
+	<dt><a href="./ToBeReviewed/MATRICE/cmapply.html?format=raw#_cmapply">type</a></dt>
+	<dd>a keyword from the routine cmapply</dd>
+	
+	<dt><a href="./ToBeReviewed/COULEURS/xpal.html?format=raw#_XP_CHANGE_COLOR">type</a></dt>
+	<dd>a parameter from the routine ./ToBeReviewed/COULEURS/xpal</dd>
+	
+	<dt><a href="./ToBeReviewed/PLOTS/DIVERS/checkfield.html?format=raw#_err_3d">type</a></dt>
+	<dd>a parameter from the routine ./ToBeReviewed/PLOTS/DIVERS/checkfield</dd>
+	
+	<dt><a href="./ToBeReviewed/PLOTS/DIVERS/checkfield.html?format=raw#_err_2d">type</a></dt>
+	<dd>a parameter from the routine ./ToBeReviewed/PLOTS/DIVERS/checkfield</dd>
+	
+	<dt><a href="./ToBeReviewed/COULEURS/xpal.html?format=raw#_XP_REPLOT">type</a></dt>
+	<dd>a parameter from the routine ./ToBeReviewed/COULEURS/xpal</dd>
+	
+	<dt><a href="./ToBeReviewed/PLOTS/DIVERS/addaxe.html?format=raw#_addaxe">type</a></dt>
+	<dd>a parameter from the routine ./ToBeReviewed/PLOTS/DIVERS/addaxe</dd>
+	
 	<dt><a href="./ToBeReviewed/WIDGET/AUTOUR_de_XXX/buildreadcmd.html?format=raw#_buildreadcmd">type</a></dt>
 	<dd>a parameter from the routine ./ToBeReviewed/WIDGET/AUTOUR_de_XXX/buildreadcmd</dd>
 	
-	<dt><a href="./ToBeReviewed/PLOTS/DIVERS/checkfield.html?format=raw#_err_2d">type</a></dt>
-	<dd>a parameter from the routine ./ToBeReviewed/PLOTS/DIVERS/checkfield</dd>
+	<dt><a href="./ToBeReviewed/PLOTS/DIVERS/axis4pltz.html?format=raw#_axis4pltz">type</a></dt>
+	<dd>a parameter from the routine ./ToBeReviewed/PLOTS/DIVERS/axis4pltz</dd>
 	
 	<dt><a href="./ToBeReviewed/PLOTS/DIVERS/checkfield.html?format=raw#_err_1d">type</a></dt>
 	<dd>a parameter from the routine ./ToBeReviewed/PLOTS/DIVERS/checkfield</dd>
 	
-	<dt><a href="./ToBeReviewed/COULEURS/xpal.html?format=raw#_XP_REPLOT">type</a></dt>
-	<dd>a parameter from the routine ./ToBeReviewed/COULEURS/xpal</dd>
-	
-	<dt><a href="./ToBeReviewed/COULEURS/xpal.html?format=raw#_XP_CHANGE_COLOR">type</a></dt>
-	<dd>a parameter from the routine ./ToBeReviewed/COULEURS/xpal</dd>
-	
-	<dt><a href="./ToBeReviewed/PLOTS/DIVERS/axis4pltz.html?format=raw#_axis4pltz">type</a></dt>
-	<dd>a parameter from the routine ./ToBeReviewed/PLOTS/DIVERS/axis4pltz</dd>
-	
-	<dt><a href="./ToBeReviewed/MATRICE/cmapply.html?format=raw#_cmapply">type</a></dt>
-	<dd>a keyword from the routine cmapply</dd>
-	
-	<dt><a href="./ToBeReviewed/PLOTS/DIVERS/addaxe.html?format=raw#_addaxe">type</a></dt>
-	<dd>a parameter from the routine ./ToBeReviewed/PLOTS/DIVERS/addaxe</dd>
-	
-	<dt><a href="./ToBeReviewed/PLOTS/DIVERS/checkfield.html?format=raw#_err_3d">type</a></dt>
-	<dd>a parameter from the routine ./ToBeReviewed/PLOTS/DIVERS/checkfield</dd>
-	
 	<dt><a href="./ToBeReviewed/PLOTS/DIVERS/placedessin.html?format=raw#_placedessin">typedessin</a></dt>
 	<dd>a parameter from the routine ./ToBeReviewed/PLOTS/DIVERS/placedessin</dd>