Index: trunk/SRC/Utilities/report.pro
===================================================================
--- trunk/SRC/ToBeReviewed/UTILITAIRE/report.pro	(revision 114)
+++ trunk/SRC/Utilities/report.pro	(revision 133)
@@ -3,56 +3,54 @@
 ;------------------------------------------------------------
 ;+
-; NAME:report
 ;
-; PURPOSE: comme dialog_message.pro si il y a deja des widgets actives
-; ou comme message.pro si il n''y a pas de widgets actives. pour poser
-; des question dont la reponse n''est pas oui/non utiliser xquestion
+; @file_comments 
+; Like dialog_message.pro if there is already some widget 
+; active or like message.pro if there is not any widget active. 
+; To ask a question whose answer is not yes/no,use xquestion.
 ;
-; CATEGORY:
-;
-; CALLING SEQUENCE:res = report(text)
-; 
-; INPUTS: text: un string on un vecteur de string. Si le string ne
+; @param text {in}{required} un string on un vecteur de string. Si le string ne
 ; comporte qu''un element, on cherche les eventuels characteres de
 ; retour a la ligne: '!C'. If text is set to an array of strings, each
 ; array element is displayed as a separate line of text.
 ;
-; KEYWORD PARAMETERS: 
-;         SIMPLE: activate to print only the message without the name
+; @keyword SIMPLE activate to print only the message without the name
 ;             and the line of the routine (defined by calling routine_name)
 ;
-; ceux dialog_message.pro et message.pro avec en +
-; PARENT qui fait la meme chose que DIALOG_PARENT de dialog_message.pro
+; @keyword _extra used to pass keywords from dialog_message.pro and message.pro
 ;
-; OUTPUTS: -1 si le mot cle QUESTION n''est pas activer
-;          si le mot cle est active la fonction retourne 1 pour yes et
-;          0 pour no.
+; @keyword PARENT same as DIALOG_PARENT de dialog_message.pro
 ;
-; COMMON BLOCKS:
+; @keyword QUESTION Set this keyword to create a "Question" dialog.
+;                   The default dialog type is "Warning"
 ;
-; SIDE EFFECTS:
+; @keyword DEFAULT_NO Set this keyword to make the "No" button the default 
+;                     selection for "Question" dialog. Normally, the default is yes.
 ;
-; RESTRICTIONS:
+; @keyword SIMPLE Activate to print the error message without printing 
+;                 the routine name with its full path.
 ;
-; EXAMPLE:
+; @returns -1 if the keyword QUESTION is not activated
+;          If the keyword is activated, return 1 for yes and 0 for no.
 ; 
-; si aucun widget n''est active:
+; @example If there is not any widget activated:
 ;
 ;     IDL> help, report('toto tata')
 ;     % $MAIN$: toto tata
 ;     <Expression>    INT       =       -1
-;     IDL> help, report('ca marche ?',/question)
-;     ca marche ? y/n (default answer is y)
+;     IDL> help, report('does it works ?',/question)
+;     does it works ? y/n (default answer is y)
 ;     <Expression>    BYTE      =    1
-;     IDL> help, report('question1: !C ca marche ?',/question)
+;     IDL> help, report('question1: !C does it works ?',/question)
 ;     question1:
-;     ca marche ? y/n (default answer is y)
+;     does it works ? y/n (default answer is y)
 ;     <Expression>    BYTE      =    1
 ;
-; si des widgets sont deja actives, c''est la meme chose mais avec des
-; widgets!
+; If widgets are already activated, it is the same thing but with widgets!
 ;
-; MODIFICATION HISTORY:Sebastien Masson (smasson@lodyc.jussieu.fr)
+; @history Sebastien Masson (smasson@lodyc.jussieu.fr)
 ;                      21/10/1999
+;
+; @version $ID$
+;
 ;-
 ;------------------------------------------------------------
@@ -63,9 +61,8 @@
   compile_opt idl2, strictarrsubs
 ;
-   res = -1                     ;
-; on separe le texte en differentes lignes (separees par !C) si ce
-; n''est pas deja fait...
+  res = -1                      ;
+; we separate the text in different lines (separated by !C) if it is not already done...
    if n_elements(text) EQ 1 then text = str_sep(text, '!C', /trim)
-; il y a des widgets actifs, c''est facile on appelle dialog_massage
+; there is some widgets activated, it is easy, we call dialog_massage
    if (widget_info(/managed))[0] NE 0 then BEGIN
       res = dialog_message(text, dialog_parent = parent, QUESTION = question $
@@ -73,8 +70,8 @@
       if keyword_set(question) THEN res = res EQ 'Yes' ELSE res = -1
    ENDIF ELSE BEGIN
-; aucun widget n''est actif
-; on pose une question ?
+; there is not any widget activated
+; do we ask a question ?
       if keyword_set(question) then BEGIN
-; quelle est la reponse par defaut ?
+; what i sthe answer by default ?
          if keyword_set(default_no) then answer = 'n' ELSE answer = 'y'
          default_answer = answer
@@ -83,10 +80,10 @@
          read, text[n_elements(text)-1]+' y/n (default answer is '+default_answer+')' , answer
          answer = strlowcase(answer) ;
-; si la reponse ne convient pas
+; if the answer is not appropriated
          while answer NE '' and answer NE 'y' and answer NE 'n' do begin
             read, text[n_elements(text)-1]+' y/n (default answer is '+default_answer+')' , answer
             answer = strlowcase(answer)
          ENDWHILE               ;
-; on ajuste res en fonction de la reponse
+; we adjust res in function of th answer
          case answer of
             '':res = default_answer EQ 'y'
@@ -95,5 +92,5 @@
          endcase
       endif ELSE BEGIN
-; si on ne pose pas de question on fait juste un print
+; If we do not ask any question, we just make a print
         IF keyword_set(simple) THEN prefix = '' ELSE prefix = '% '+routine_name(1)+': '
          if n_elements(text) GT 1 THEN $