Index: trunk/SRC/Documentation/idldoc_html_output/all-files.html
===================================================================
--- trunk/SRC/Documentation/idldoc_html_output/all-files.html	(revision 119)
+++ trunk/SRC/Documentation/idldoc_html_output/all-files.html	(revision 138)
@@ -91,5 +91,5 @@
 	<li><a href="./ToBeReviewed/WIDGET/AUTOUR_de_XXX/buildreadcmd.html?format=raw" target="file_frame">buildreadcmd.pro</a></li>
 	<li><a href="./ToBeReviewed/STATISTICS/c_timecorrelate.html?format=raw" target="file_frame">c_timecorrelate.pro</a></li>
-	<li><a href="./ToBeReviewed/CALENDRIER/caldat.html?format=raw" target="file_frame">caldat.pro</a></li>
+	<li><a href="./Calendar/caldat.html?format=raw" target="file_frame">caldat.pro</a></li>
 	<li><a href="./ToBeReviewed/POSTSCRIPT/calibre.html?format=raw" target="file_frame">calibre.pro</a></li>
 	<li><a href="./ToBeReviewed/WIDGET/AUTOUR_de_XXX/changefield.html?format=raw" target="file_frame">changefield.pro</a></li>
@@ -112,10 +112,10 @@
 	<li><a href="./Commons/cm_demomode.html?format=raw" target="file_frame">cm_demomode.pro</a></li>
 	<li><a href="./Commons/cm_general.html?format=raw" target="file_frame">cm_general.pro</a></li>
-	<li><a href="./ToBeReviewed/MATRICE/cmapply.html?format=raw" target="file_frame">cmapply.pro</a></li>
+	<li><a href="./Matrix/cmapply.html?format=raw" target="file_frame">cmapply.pro</a></li>
 	<li><a href="./ToBeReviewed/GRILLE/cmpgrid.html?format=raw" target="file_frame">cmpgrid.pro</a></li>
-	<li><a href="./ToBeReviewed/MATRICE/cmset_op.html?format=raw" target="file_frame">cmset_op.pro</a></li>
+	<li><a href="./Matrix/cmset_op.html?format=raw" target="file_frame">cmset_op.pro</a></li>
 	<li><a href="./ToBeReviewed/MATRICE/colle.html?format=raw" target="file_frame">colle.pro</a></li>
-	<li><a href="./ToBeReviewed/COULEURS/color24.html?format=raw" target="file_frame">color24.pro</a></li>
-	<li><a href="./ToBeReviewed/COULEURS/colorbar.html?format=raw" target="file_frame">colorbar.pro</a></li>
+	<li><a href="./Colors/color24.html?format=raw" target="file_frame">color24.pro</a></li>
+	<li><a href="./Colors/colorbar.html?format=raw" target="file_frame">colorbar.pro</a></li>
 	<li><a href="./Obsolete/common.html?format=raw" target="file_frame">common.pro</a></li>
 	<li><a href="./ToBeReviewed/TRIANGULATION/completecointerre.html?format=raw" target="file_frame">completecointerre.pro</a></li>
@@ -126,5 +126,5 @@
 	<li><a href="./Grid/computegrid.html?format=raw" target="file_frame">computegrid.pro</a></li>
 	<li><a href="./ToBeReviewed/HOPE/computehopegrid.html?format=raw" target="file_frame">computehopegrid.pro</a></li>
-	<li><a href="./ToBeReviewed/MATRICE/congridseb.html?format=raw" target="file_frame">congridseb.pro</a></li>
+	<li><a href="./Matrix/congridseb.html?format=raw" target="file_frame">congridseb.pro</a></li>
 	<li><a href="./Obsolete/cp.html?format=raw" target="file_frame">cp.pro</a></li>
 	<li><a href="./Utilities/createfunc.html?format=raw" target="file_frame">createfunc.pro</a></li>
@@ -164,5 +164,5 @@
 	<li><a href="./ToBeReviewed/CALCULS/determ3.html?format=raw" target="file_frame">determ3.pro</a></li>
 	<li><a href="./ToBeReviewed/PLOTS/DIVERS/determineminmax.html?format=raw" target="file_frame">determineminmax.pro</a></li>
-	<li><a href="./ToBeReviewed/MATRICE/different.html?format=raw" target="file_frame">different.pro</a></li>
+	<li><a href="./Matrix/different.html?format=raw" target="file_frame">different.pro</a></li>
 	<li><a href="./ToBeReviewed/CALCULS/div.html?format=raw" target="file_frame">div.pro</a></li>
 	<li><a href="./ToBeReviewed/HOPE/domainpart.html?format=raw" target="file_frame">domainpart.pro</a></li>
@@ -172,7 +172,8 @@
 	<li><a href="./ToBeReviewed/TRIANGULATION/drawcoast_e.html?format=raw" target="file_frame">drawcoast_e.pro</a></li>
 	<li><a href="./ToBeReviewed/TRIANGULATION/drawsectionbottom.html?format=raw" target="file_frame">drawsectionbottom.pro</a></li>
+	<li><a href="./Matrix/extrac2.html?format=raw" target="file_frame">extrac2.pro</a></li>
 	<li><a href="./ToBeReviewed/WIDGET/AUTOUR_de_XXX/extractatt.html?format=raw" target="file_frame">extractatt.pro</a></li>
 	<li><a href="./ToBeReviewed/STRUCTURE/extractstru.html?format=raw" target="file_frame">extractstru.pro</a></li>
-	<li><a href="./ToBeReviewed/MATRICE/extrait.html?format=raw" target="file_frame">extrait.pro</a></li>
+	<li><a href="./Obsolete/extrait.html?format=raw" target="file_frame">extrait.pro</a></li>
 	<li><a href="./Interpolation/extrapolate.html?format=raw" target="file_frame">extrapolate.pro</a></li>
 	<li><a href="./ToBeReviewed/GRILLE/f2v.html?format=raw" target="file_frame">f2v.pro</a></li>
@@ -184,5 +185,5 @@
 	<li><a href="./ToBeReviewed/HOPE/findlineandpointtype.html?format=raw" target="file_frame">findlineandpointtype.pro</a></li>
 	<li><a href="./ToBeReviewed/WIDGET/findtopid.html?format=raw" target="file_frame">findtopid.pro</a></li>
-	<li><a href="./ToBeReviewed/UTILITAIRE/fitintobox.html?format=raw" target="file_frame">fitintobox.pro</a></li>
+	<li><a href="./Utilities/fitintobox.html?format=raw" target="file_frame">fitintobox.pro</a></li>
 	<li><a href="./ToBeReviewed/CALCULS/floatlevel2depth.html?format=raw" target="file_frame">floatlevel2depth.pro</a></li>
 	<li><a href="./ToBeReviewed/GRILLE/fmask.html?format=raw" target="file_frame">fmask.pro</a></li>
@@ -192,5 +193,5 @@
 	<li><a href="./ToBeReviewed/UTILITAIRE/get_extra.html?format=raw" target="file_frame">get_extra.pro</a></li>
 	<li><a href="./Interpolation/get_gridparams.html?format=raw" target="file_frame">get_gridparams.pro</a></li>
-	<li><a href="./ToBeReviewed/COULEURS/getcolor.html?format=raw" target="file_frame">getcolor.pro</a></li>
+	<li><a href="./Colors/getcolor.html?format=raw" target="file_frame">getcolor.pro</a></li>
 	<li><a href="./ToBeReviewed/STRING/getfile.html?format=raw" target="file_frame">getfile.pro</a></li>
 	<li><a href="./ToBeReviewed/STRING/getwrd.html?format=raw" target="file_frame">getwrd.pro</a></li>
@@ -201,6 +202,6 @@
 	<li><a href="./ToBeReviewed/CALCULS/hdyn.html?format=raw" target="file_frame">hdyn.pro</a></li>
 	<li><a href="./ToBeReviewed/WIDGET/AUTOUR_de_XXX/identifyclick.html?format=raw" target="file_frame">identifyclick.pro</a></li>
-	<li><a href="./ToBeReviewed/IMAGE/image_viewer.html?format=raw" target="file_frame">image_viewer.pro</a></li>
-	<li><a href="./ToBeReviewed/IMAGE/imdisp.html?format=raw" target="file_frame">imdisp.pro</a></li>
+	<li><a href="./Picture/image_viewer.html?format=raw" target="file_frame">image_viewer.pro</a></li>
+	<li><a href="./Picture/imdisp.html?format=raw" target="file_frame">imdisp.pro</a></li>
 	<li><a href="./Interpolation/imoms3.html?format=raw" target="file_frame">imoms3.pro</a></li>
 	<li><a href="./Obsolete/imprime.html?format=raw" target="file_frame">imprime.pro</a></li>
@@ -214,5 +215,5 @@
 	<li><a href="./Interpolation/inrecgrid.html?format=raw" target="file_frame">inrecgrid.pro</a></li>
 	<li><a href="./ToBeReviewed/WIDGET/AUTOUR_de_XXX/inserthistory.html?format=raw" target="file_frame">inserthistory.pro</a></li>
-	<li><a href="./ToBeReviewed/MATRICE/inter.html?format=raw" target="file_frame">inter.pro</a></li>
+	<li><a href="./Matrix/inter.html?format=raw" target="file_frame">inter.pro</a></li>
 	<li><a href="./ToBeReviewed/LECTURE/inverse_binary.html?format=raw" target="file_frame">inverse_binary.pro</a></li>
 	<li><a href="./Utilities/isadirectory.html?format=raw" target="file_frame">isadirectory.pro</a></li>
@@ -222,5 +223,5 @@
 	<li><a href="./Calendar/jul2date.html?format=raw" target="file_frame">jul2date.pro</a></li>
 	<li><a href="./Obsolete/juldate.html?format=raw" target="file_frame">juldate.pro</a></li>
-	<li><a href="./ToBeReviewed/CALENDRIER/julday.html?format=raw" target="file_frame">julday.pro</a></li>
+	<li><a href="./Calendar/julday.html?format=raw" target="file_frame">julday.pro</a></li>
 	<li><a href="./ForOldVersion/keep_compatibility.html?format=raw" target="file_frame">keep_compatibility.pro</a></li>
 	<li><a href="./ToBeReviewed/PLOTS/LABEL/label.html?format=raw" target="file_frame">label.pro</a></li>
@@ -228,5 +229,5 @@
 	<li><a href="./ToBeReviewed/PLOTS/LABEL/label_gmt.html?format=raw" target="file_frame">label_gmt.pro</a></li>
 	<li><a href="./ToBeReviewed/PLOTS/LABEL/lataxe.html?format=raw" target="file_frame">lataxe.pro</a></li>
-	<li><a href="./ToBeReviewed/COULEURS/lct.html?format=raw" target="file_frame">lct.pro</a></li>
+	<li><a href="./Colors/lct.html?format=raw" target="file_frame">lct.pro</a></li>
 	<li><a href="./Calendar/leapyr.html?format=raw" target="file_frame">leapyr.pro</a></li>
 	<li><a href="./Obsolete/lec.html?format=raw" target="file_frame">lec.pro</a></li>
@@ -238,6 +239,6 @@
 	<li><a href="./ToBeReviewed/CALCULS/level2index.html?format=raw" target="file_frame">level2index.pro</a></li>
 	<li><a href="./ToBeReviewed/CALCULS/level2mask.html?format=raw" target="file_frame">level2mask.pro</a></li>
-	<li><a href="./ToBeReviewed/UTILITAIRE/linearequation.html?format=raw" target="file_frame">linearequation.pro</a></li>
-	<li><a href="./ToBeReviewed/UTILITAIRE/lineintersection.html?format=raw" target="file_frame">lineintersection.pro</a></li>
+	<li><a href="./Utilities/linearequation.html?format=raw" target="file_frame">linearequation.pro</a></li>
+	<li><a href="./Utilities/lineintersection.html?format=raw" target="file_frame">lineintersection.pro</a></li>
 	<li><a href="./ToBeReviewed/LECTURE/litchamp.html?format=raw" target="file_frame">litchamp.pro</a></li>
 	<li><a href="./Interpolation/ll_narcs_distances.html?format=raw" target="file_frame">ll_narcs_distances.pro</a></li>
@@ -245,5 +246,5 @@
 	<li><a href="./ToBeReviewed/PLOTS/LABEL/lonaxe.html?format=raw" target="file_frame">lonaxe.pro</a></li>
 	<li><a href="./ToBeReviewed/WIDGET/AUTOUR_de_XXX/longclickaction.html?format=raw" target="file_frame">longclickaction.pro</a></li>
-	<li><a href="./ToBeReviewed/MATRICE/make_selection.html?format=raw" target="file_frame">make_selection.pro</a></li>
+	<li><a href="./Matrix/make_selection.html?format=raw" target="file_frame">make_selection.pro</a></li>
 	<li><a href="./Interpolation/map_npoints.html?format=raw" target="file_frame">map_npoints.pro</a></li>
 	<li><a href="./Textoidl/matchdelim.html?format=raw" target="file_frame">matchdelim.pro</a></li>
@@ -276,5 +277,5 @@
 	<li><a href="./ReadWrite/ncdf_timeget.html?format=raw" target="file_frame">ncdf_timeget.pro</a></li>
 	<li><a href="./Interpolation/neighbor.html?format=raw" target="file_frame">neighbor.pro</a></li>
-	<li><a href="./ToBeReviewed/COULEURS/newpalette.html?format=raw" target="file_frame">newpalette.pro</a></li>
+	<li><a href="./Colors/newpalette.html?format=raw" target="file_frame">newpalette.pro</a></li>
 	<li><a href="./Textoidl/nexttok.html?format=raw" target="file_frame">nexttok.pro</a></li>
 	<li><a href="./Obsolete/nlec.html?format=raw" target="file_frame">nlec.pro</a></li>
@@ -306,5 +307,5 @@
 	<li><a href="./ToBeReviewed/POSTSCRIPT/ps.html?format=raw" target="file_frame">ps.pro</a></li>
 	<li><a href="./ToBeReviewed/STRING/putfile.html?format=raw" target="file_frame">putfile.pro</a></li>
-	<li><a href="./ToBeReviewed/UTILITAIRE/pwd.html?format=raw" target="file_frame">pwd.pro</a></li>
+	<li><a href="./Utilities/pwd.html?format=raw" target="file_frame">pwd.pro</a></li>
 	<li><a href="./Interpolation/quadrilateral2square.html?format=raw" target="file_frame">quadrilateral2square.pro</a></li>
 	<li><a href="./ToBeReviewed/LECTURE/read_ftp.html?format=raw" target="file_frame">read_ftp.pro</a></li>
@@ -327,5 +328,5 @@
 	<li><a href="./ToBeReviewed/PLOTS/reinitplt.html?format=raw" target="file_frame">reinitplt.pro</a></li>
 	<li><a href="./ToBeReviewed/CALCULS/remplit.html?format=raw" target="file_frame">remplit.pro</a></li>
-	<li><a href="./ToBeReviewed/UTILITAIRE/report.html?format=raw" target="file_frame">report.pro</a></li>
+	<li><a href="./Utilities/report.html?format=raw" target="file_frame">report.pro</a></li>
 	<li><a href="./ToBeReviewed/PLOTS/DIVERS/restoreatt.html?format=raw" target="file_frame">restoreatt.pro</a></li>
 	<li><a href="./Grid/restoreboxparam.html?format=raw" target="file_frame">restoreboxparam.pro</a></li>
@@ -333,8 +334,8 @@
 	<li><a href="./ToBeReviewed/CALCULS/rhon.html?format=raw" target="file_frame">rhon.pro</a></li>
 	<li><a href="./ToBeReviewed/PLOTS/DIVERS/rotation.html?format=raw" target="file_frame">rotation.pro</a></li>
-	<li><a href="./ToBeReviewed/UTILITAIRE/routine_name.html?format=raw" target="file_frame">routine_name.pro</a></li>
+	<li><a href="./Utilities/routine_name.html?format=raw" target="file_frame">routine_name.pro</a></li>
 	<li><a href="./ToBeReviewed/PLOTS/DIVERS/saveatt.html?format=raw" target="file_frame">saveatt.pro</a></li>
 	<li><a href="./Grid/saveboxparam.html?format=raw" target="file_frame">saveboxparam.pro</a></li>
-	<li><a href="./ToBeReviewed/IMAGE/saveimage.html?format=raw" target="file_frame">saveimage.pro</a></li>
+	<li><a href="./Picture/saveimage.html?format=raw" target="file_frame">saveimage.pro</a></li>
 	<li><a href="./ToBeReviewed/PLOTS/DESSINE/sbar_plot.html?format=raw" target="file_frame">sbar_plot.pro</a></li>
 	<li><a href="./ToBeReviewed/LECTURE/GRIB/scan_grib_code.html?format=raw" target="file_frame">scan_grib_code.pro</a></li>
@@ -349,5 +350,5 @@
 	<li><a href="./ToBeReviewed/TRIANGULATION/section.html?format=raw" target="file_frame">section.pro</a></li>
 	<li><a href="./ToBeReviewed/WIDGET/AUTOUR_de_XXX/selectfile.html?format=raw" target="file_frame">selectfile.pro</a></li>
-	<li><a href="./ToBeReviewed/IMAGE/showimage.html?format=raw" target="file_frame">showimage.pro</a></li>
+	<li><a href="./Picture/showimage.html?format=raw" target="file_frame">showimage.pro</a></li>
 	<li><a href="./Textoidl/showtex.html?format=raw" target="file_frame">showtex.pro</a></li>
 	<li><a href="./ToBeReviewed/WIDGET/AUTOUR_de_XXX/singleclickaction.html?format=raw" target="file_frame">singleclickaction.pro</a></li>
@@ -363,5 +364,4 @@
 	<li><a href="./Textoidl/str_token.html?format=raw" target="file_frame">str_token.pro</a></li>
 	<li><a href="./Textoidl/strcnt.html?format=raw" target="file_frame">strcnt.pro</a></li>
-	<li><a href="./ToBeReviewed/STRING/strcnt.html?format=raw" target="file_frame">strcnt.pro</a></li>
 	<li><a href="./ToBeReviewed/STRING/string2struct.html?format=raw" target="file_frame">string2struct.pro</a></li>
 	<li><a href="./ToBeReviewed/STRING/strkeywd.html?format=raw" target="file_frame">strkeywd.pro</a></li>
@@ -371,5 +371,4 @@
 	<li><a href="./ToBeReviewed/STRING/strtok.html?format=raw" target="file_frame">strtok.pro</a></li>
 	<li><a href="./Textoidl/strtrans.html?format=raw" target="file_frame">strtrans.pro</a></li>
-	<li><a href="./ToBeReviewed/STRING/strtrans.html?format=raw" target="file_frame">strtrans.pro</a></li>
 	<li><a href="./ToBeReviewed/STRUCTURE/struct2string.html?format=raw" target="file_frame">struct2string.pro</a></li>
 	<li><a href="./ToBeReviewed/STRING/strwhere.html?format=raw" target="file_frame">strwhere.pro</a></li>
@@ -379,7 +378,6 @@
 	<li><a href="./ToBeReviewed/GRILLE/t2v.html?format=raw" target="file_frame">t2v.pro</a></li>
 	<li><a href="./ToBeReviewed/PLOTS/DIVERS/terminedessin.html?format=raw" target="file_frame">terminedessin.pro</a></li>
-	<li><a href="./ToBeReviewed/UTILITAIRE/test.html?format=raw" target="file_frame">test.pro</a></li>
-	<li><a href="./ToBeReviewed/UTILITAIRE/testvar.html?format=raw" target="file_frame">testvar.pro</a></li>
-	<li><a href="./ToBeReviewed/UTILITAIRE/text_box.html?format=raw" target="file_frame">text_box.pro</a></li>
+	<li><a href="./Utilities/testvar.html?format=raw" target="file_frame">testvar.pro</a></li>
+	<li><a href="./Utilities/text_box.html?format=raw" target="file_frame">text_box.pro</a></li>
 	<li><a href="./Textoidl/textable.html?format=raw" target="file_frame">textable.pro</a></li>
 	<li><a href="./Textoidl/textoidl.html?format=raw" target="file_frame">textoidl.pro</a></li>
@@ -436,6 +434,6 @@
 	<li><a href="./ToBeReviewed/GRILLE/u2t.html?format=raw" target="file_frame">u2t.pro</a></li>
 	<li><a href="./ToBeReviewed/GRILLE/umask.html?format=raw" target="file_frame">umask.pro</a></li>
-	<li><a href="./ToBeReviewed/UTILITAIRE/undefine.html?format=raw" target="file_frame">undefine.pro</a></li>
-	<li><a href="./ToBeReviewed/MATRICE/union.html?format=raw" target="file_frame">union.pro</a></li>
+	<li><a href="./Utilities/undefine.html?format=raw" target="file_frame">undefine.pro</a></li>
+	<li><a href="./Matrix/union.html?format=raw" target="file_frame">union.pro</a></li>
 	<li><a href="./ForOldVersion/updatekwd.html?format=raw" target="file_frame">updatekwd.pro</a></li>
 	<li><a href="./ForOldVersion/updatenew.html?format=raw" target="file_frame">updatenew.pro</a></li>
@@ -453,10 +451,10 @@
 	<li><a href="./ReadWrite/writebat.html?format=raw" target="file_frame">writebat.pro</a></li>
 	<li><a href="./ToBeReviewed/WIDGET/AUTOUR_de_XXX/xcreateanim.html?format=raw" target="file_frame">xcreateanim.pro</a></li>
-	<li><a href="./ToBeReviewed/UTILITAIRE/xfile.html?format=raw" target="file_frame">xfile.pro</a></li>
-	<li><a href="./ToBeReviewed/UTILITAIRE/xhelp.html?format=raw" target="file_frame">xhelp.pro</a></li>
-	<li><a href="./ToBeReviewed/COULEURS/xlct.html?format=raw" target="file_frame">xlct.pro</a></li>
+	<li><a href="./Utilities/xfile.html?format=raw" target="file_frame">xfile.pro</a></li>
+	<li><a href="./Utilities/xhelp.html?format=raw" target="file_frame">xhelp.pro</a></li>
+	<li><a href="./Colors/xlct.html?format=raw" target="file_frame">xlct.pro</a></li>
 	<li><a href="./ToBeReviewed/LECTURE/xncdf_lec.html?format=raw" target="file_frame">xncdf_lec.pro</a></li>
 	<li><a href="./ToBeReviewed/WIDGET/xnotice.html?format=raw" target="file_frame">xnotice.pro</a></li>
-	<li><a href="./ToBeReviewed/COULEURS/xpal.html?format=raw" target="file_frame">xpal.pro</a></li>
+	<li><a href="./Colors/xpal.html?format=raw" target="file_frame">xpal.pro</a></li>
 	<li><a href="./ToBeReviewed/WIDGET/xquestion.html?format=raw" target="file_frame">xquestion.pro</a></li>
 	<li><a href="./ToBeReviewed/HOPE/xrh.html?format=raw" target="file_frame">xrh.pro</a></li>
@@ -464,8 +462,9 @@
 	<li><a href="./ToBeReviewed/WIDGET/xxx.html?format=raw" target="file_frame">xxx.pro</a></li>
 	<li><a href="./ToBeReviewed/WIDGET/AUTOUR_de_XXX/xxxmenubar_event.html?format=raw" target="file_frame">xxxmenubar_event.pro</a></li>
-	<li><a href="./ToBeReviewed/MATRICE/zeroun.html?format=raw" target="file_frame">zeroun.pro</a></li>
+	<li><a href="./Matrix/zero_one.html?format=raw" target="file_frame">zero_one.pro</a></li>
+	<li><a href="./Obsolete/zeroun.html?format=raw" target="file_frame">zeroun.pro</a></li>
       </ul>
 
-      <div id="tagline">392 files</div>
+      <div id="tagline">391 files</div>
       
 