Index: trunk/SRC/Documentation/idldoc_html_output/ToBeReviewed/HOPE/read_hope.html
===================================================================
--- trunk/SRC/Documentation/idldoc_html_output/ToBeReviewed/HOPE/read_hope.html	(revision 138)
+++ trunk/SRC/Documentation/idldoc_html_output/ToBeReviewed/HOPE/read_hope.html	(revision 142)
@@ -696,5 +696,7 @@
       </div>
 
-      <div id="file_comments"></div>
+      <div id="file_comments">
+ Read the Hope grid file converted in NetCdf by xconv
+</div>
 
       
@@ -711,8 +713,8 @@
 	  
 	  <dt><p><a href="#_read_hope_event">read_hope_event<span class="result">, event</span></a></p><dt>
-	  <dd>  NAME: read_hope   PURPOSE: read the Hope grid file converted in NetCdf by xconv   CATEGORY: reading   CALLING SEQUENCE: a=read_hope([typein, varnamein])    INPUTS:         typein: a string specifing from which type of section the 4D         array based: 'xy, 'xz', 'yz'          varnamein: a string the name of the cariable to be read (in         lower or upper case)   KEYWORD PARAMETERS:           FILENAME = the name of the file to be read           XLIMITS = a two elements vertor [lonmin, lonmax]]                    the bondary of the longitudes (from 0 to 360)           YLIMITS = a two elements vertor [latmin, latmax]]                    the bondary of the latitudes (from -90 to 90)           ZLIMITS = a two elements vertor [depthmin, depthmax]]                    the bondary of the depth           TLIMITS = a two elements vertor [date1, date2]]                    the bondary of the calendar with date1 and date2                    folowing the syntaxe yyyymmdd           /ODDPT: activate to read only the sections located on ODD          points            /EVENPT: activate to read only the sections located on even          points            /ODDEVENPT: activate to read only the sections located on          both even and odd points (horizontal sections)   OUTPUTS:          -1 if typein and varnamein are undefine (this is the widget         version)          a structure which but be read by litchamp.</dd>	
+	  <dd></dd>	
 	  
 	  <dt><p><a href="#_read_hope"><span class="result">result = </span>read_hope(<span class="result">typein, varnamein</span>, FILENAME=<span class="result">FILENAME</span>, XLIMITS=<span class="result">XLIMITS</span>, YLIMITS=<span class="result">YLIMITS</span>, ZLIMITS=<span class="result">ZLIMITS</span>, TLIMITS=<span class="result">TLIMITS</span>, ODDPT=<span class="result">ODDPT</span>, ODDEVENPT=<span class="result">ODDEVENPT</span>, EVENPT=<span class="result">EVENPT</span>, _extra=<span class="result">_extra</span>)</a></p><dt>
-	  <dd></dd>	
+	  <dd> </dd>	
 	  	
 	</dl>
@@ -730,80 +732,266 @@
 	    read_hope_event<span class="result">, <a href="#_read_hope_event_param_event">event</a></span></p>
 	
+	  <div class="comments"></div>
+
+	  
+
+	  
+	    <h3>Parameters</h3>
+	
+	    
+	    <h4 id="_read_hope_event_param_event">event&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+	      
+	      
+	      
+	      
+	      
+	      
+	      
+	      
+	    </h4>
+	
+	  <div class="comments"></div>
+	    
+
+	  
+
+	  
+
+	  
+	  
+	  
+	  
+	  
+	  
+	  
+	  
+	  
+	  
+	  
+	  
+	
+	  
+	  
+	  
+	  
+	  
+	  
+	  
+	
+	  
+	
+	</div>
+	
+
+	<div class="routine_details" id="_read_hope">
+
+	  <h2><a class="top" href="#container">top</a>read_hope <span class="categories">
+ Reading
+</span></h2>
+	
+	  <p class="header">
+	    <span class="result">result = </span>read_hope(<span class="result"><a href="#_read_hope_param_typein">typein</a>, <a href="#_read_hope_param_varnamein">varnamein</a></span>, <a href="#_read_hope_keyword_FILENAME">FILENAME</a>=<span class="result">FILENAME</span>, <a href="#_read_hope_keyword_XLIMITS">XLIMITS</a>=<span class="result">XLIMITS</span>, <a href="#_read_hope_keyword_YLIMITS">YLIMITS</a>=<span class="result">YLIMITS</span>, <a href="#_read_hope_keyword_ZLIMITS">ZLIMITS</a>=<span class="result">ZLIMITS</span>, <a href="#_read_hope_keyword_TLIMITS">TLIMITS</a>=<span class="result">TLIMITS</span>, <a href="#_read_hope_keyword_ODDPT">ODDPT</a>=<span class="result">ODDPT</span>, <a href="#_read_hope_keyword_ODDEVENPT">ODDEVENPT</a>=<span class="result">ODDEVENPT</span>, <a href="#_read_hope_keyword_EVENPT">EVENPT</a>=<span class="result">EVENPT</span>, <a href="#_read_hope_keyword__extra">_extra</a>=<span class="result">_extra</span>)</p>
+	
 	  <div class="comments">
- NAME: read_hope
-
- PURPOSE: read the Hope grid file converted in NetCdf by xconv
-
- CATEGORY: reading
-
- CALLING SEQUENCE: a=read_hope([typein, varnamein])
- 
- INPUTS:
-        typein: a string specifing from which type of section the 4D
-        array based: 'xy, 'xz', 'yz'
-
-        varnamein: a string the name of the cariable to be read (in
-        lower or upper case)
-
- KEYWORD PARAMETERS:
-
-         FILENAME = the name of the file to be read
-
-         XLIMITS = a two elements vertor [lonmin, lonmax]]
-                   the bondary of the longitudes (from 0 to 360)
-
-         YLIMITS = a two elements vertor [latmin, latmax]]
-                   the bondary of the latitudes (from -90 to 90)
-
-         ZLIMITS = a two elements vertor [depthmin, depthmax]]
-                   the bondary of the depth
-
-         TLIMITS = a two elements vertor [date1, date2]]
-                   the bondary of the calendar with date1 and date2
-                   folowing the syntaxe yyyymmdd
-
-         /ODDPT: activate to read only the sections located on ODD
-         points 
-
-         /EVENPT: activate to read only the sections located on even
-         points 
-
-         /ODDEVENPT: activate to read only the sections located on
-         both even and odd points (horizontal sections)
-
- OUTPUTS:
-
-        -1 if typein and varnamein are undefine (this is the widget
-        version)
-
-        a structure which but be read by litchamp.pro and is
-        necessary to complute the grid associated to the data (see
-        the example).
-
- COMMON BLOCKS: common.pro (usefull only for the definition of iodir)
-
- SIDE EFFECTS:
-     'x', 'y', 'z', 't', 'xt', 'yt' and 'zt' section not coded, xconv
-     must be able to works with this kind of fonction.
-     The grib file has no zoom possibilities on horizontal
-     dimensions.
-
- RESTRICTIONS:
-
-     When typein and varnamein are defined, the methode to find the
-     godd variable is:
-     1) find the variables which are available on this type of
-     sections woth this name
-     2) if ODDPT, EVENPT or ODDEVENPT are specified, consider only
-     these types of sections
-     3) for an XY section the chosen variable is the one which has
-     the most level in the vertical domain specified by ZLIMITS.
-        for an XZ section the chosen variable is the one which has
-     the most points in the latitude domain specified by YLIMITS.
-        for an YZ section the chosen variable is the one which has
-     the most points in the longitude domain specified by XLIMITS.
-
-
- EXAMPLE:
+</div>
+
+	  <h3>Return value</h3><div class="preformat">
+ -1 if typein and varnamein are undefine (this is the widget
+ version)
+
+ A structure which but be read by litchamp.pro and is
+ necessary to complute the grid associated to the data (see
+ the example).
+</div>
+
+	  
+	    <h3>Parameters</h3>
+	
+	    
+	    <h4 id="_read_hope_param_typein">typein&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+	      <span class="attr">in</span>
+	      
+	      
+	      <span class="attr">required</span>
+	      
+	      
+	      
+	      
+	    </h4>
+	
+	  <div class="comments">
+ A string specifing from which type of section the 4D
+ array based: 'xy, 'xz', 'yz'
+</div>
+	    
+	    <h4 id="_read_hope_param_varnamein">varnamein&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+	      
+	      
+	      
+	      
+	      
+	      
+	      
+	      
+	    </h4>
+	
+	  <div class="comments">
+ A string the name of the cariable to be read (in
+ lower or upper case)
+</div>
+	    
+
+	  
+
+	  
+
+	    <h3>Keywords</h3>
+	    
+	    <h4 id="_read_hope_keyword_FILENAME">FILENAME&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+	      
+	      
+	      
+  	      
+	      
+	      
+	      
+	      
+	    </h4>
+	
+	    <div class="comments">
+ The name of the file to be read
+</div>
+	    
+	    <h4 id="_read_hope_keyword_XLIMITS">XLIMITS&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+	      
+	      
+	      
+  	      
+	      
+	      
+	      
+	      
+	    </h4>
+	
+	    <div class="comments">
+ A two elements vertor [lonmin, lonmax]]
+ the bondary of the longitudes (from 0 to 360)
+</div>
+	    
+	    <h4 id="_read_hope_keyword_YLIMITS">YLIMITS&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+	      
+	      
+	      
+  	      
+	      
+	      
+	      
+	      
+	    </h4>
+	
+	    <div class="comments">
+ A two elements vertor [latmin, latmax]]
+ the bondary of the latitudes (from -90 to 90)
+</div>
+	    
+	    <h4 id="_read_hope_keyword_ZLIMITS">ZLIMITS&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+	      
+	      
+	      
+  	      
+	      
+	      
+	      
+	      
+	    </h4>
+	
+	    <div class="comments">
+ A two elements vertor [depthmin, depthmax]]
+ the bondary of the depth
+</div>
+	    
+	    <h4 id="_read_hope_keyword_TLIMITS">TLIMITS&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+	      
+	      
+	      
+  	      
+	      
+	      
+	      
+	      
+	    </h4>
+	
+	    <div class="comments">
+ A two elements vertor [date1, date2]]
+ the bondary of the calendar with date1 and date2
+ folowing the syntaxe yyyymmdd
+</div>
+	    
+	    <h4 id="_read_hope_keyword_ODDPT">ODDPT&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+	      
+	      
+	      
+  	      
+	      
+	      
+	      
+	      
+	    </h4>
+	
+	    <div class="comments">
+ Activate to read only the sections located on ODD
+ points 
+</div>
+	    
+	    <h4 id="_read_hope_keyword_ODDEVENPT">ODDEVENPT&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+	      
+	      
+	      
+  	      
+	      
+	      
+	      
+	      
+	    </h4>
+	
+	    <div class="comments">
+ Activate to read only the sections located on
+ both even and odd points (horizontal sections)
+</div>
+	    
+	    <h4 id="_read_hope_keyword_EVENPT">EVENPT&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+	      
+	      
+	      
+  	      
+	      
+	      
+	      
+	      
+	    </h4>
+	
+	    <div class="comments">
+ Activate to read only the sections located on even
+ points 
+</div>
+	    
+	    <h4 id="_read_hope_keyword__extra">_extra&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+	      
+	      
+	      
+  	      
+	      
+	      
+	      
+	      
+	    </h4>
+	
+	    <div class="comments">
+ Used to pass yor keywords
+</div>
+	    
+	  
+
+	  <h3>Examples</h3><div class="preformat">
 
      IDL> a=read_hope('xy','ocpt',filename='CLIM_CNT_1993-1998.nc')
@@ -829,239 +1017,44 @@
      <Expression>    FLOAT     = Array[128, 242, 15]
 </div>
-
-	  
-
-	  
-	    <h3>Parameters</h3>
-	
-	    
-	    <h4 id="_read_hope_event_param_event">event&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
-	      
-	      
-	      
-	      
-	      
-	      
-	      
-	      
-	    </h4>
-	
-	  <div class="comments"></div>
-	    
-
-	  
-
-	  
-
-	  
-	  
-	  
-	  
-	  
-	  
-	  
-	  
-	  
-	  
-	  
-	  
-	
-	  
-	  
-	  
-	  
-	  
-	  
-	  
-	
-	  
-	
-	</div>
-	
-
-	<div class="routine_details" id="_read_hope">
-
-	  <h2><a class="top" href="#container">top</a>read_hope </h2>
-	
-	  <p class="header">
-	    <span class="result">result = </span>read_hope(<span class="result"><a href="#_read_hope_param_typein">typein</a>, <a href="#_read_hope_param_varnamein">varnamein</a></span>, <a href="#_read_hope_keyword_FILENAME">FILENAME</a>=<span class="result">FILENAME</span>, <a href="#_read_hope_keyword_XLIMITS">XLIMITS</a>=<span class="result">XLIMITS</span>, <a href="#_read_hope_keyword_YLIMITS">YLIMITS</a>=<span class="result">YLIMITS</span>, <a href="#_read_hope_keyword_ZLIMITS">ZLIMITS</a>=<span class="result">ZLIMITS</span>, <a href="#_read_hope_keyword_TLIMITS">TLIMITS</a>=<span class="result">TLIMITS</span>, <a href="#_read_hope_keyword_ODDPT">ODDPT</a>=<span class="result">ODDPT</span>, <a href="#_read_hope_keyword_ODDEVENPT">ODDEVENPT</a>=<span class="result">ODDEVENPT</span>, <a href="#_read_hope_keyword_EVENPT">EVENPT</a>=<span class="result">EVENPT</span>, <a href="#_read_hope_keyword__extra">_extra</a>=<span class="result">_extra</span>)</p>
-	
-	  <div class="comments"></div>
-
-	  
-
-	  
-	    <h3>Parameters</h3>
-	
-	    
-	    <h4 id="_read_hope_param_typein">typein&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
-	      
-	      
-	      
-	      
-	      
-	      
-	      
-	      
-	    </h4>
-	
-	  <div class="comments"></div>
-	    
-	    <h4 id="_read_hope_param_varnamein">varnamein&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
-	      
-	      
-	      
-	      
-	      
-	      
-	      
-	      
-	    </h4>
-	
-	  <div class="comments"></div>
-	    
-
-	  
-
-	  
-
-	    <h3>Keywords</h3>
-	    
-	    <h4 id="_read_hope_keyword_FILENAME">FILENAME&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
-	      
-	      
-	      
-  	      
-	      
-	      
-	      
-	      
-	    </h4>
-	
-	    <div class="comments"></div>
-	    
-	    <h4 id="_read_hope_keyword_XLIMITS">XLIMITS&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
-	      
-	      
-	      
-  	      
-	      
-	      
-	      
-	      
-	    </h4>
-	
-	    <div class="comments"></div>
-	    
-	    <h4 id="_read_hope_keyword_YLIMITS">YLIMITS&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
-	      
-	      
-	      
-  	      
-	      
-	      
-	      
-	      
-	    </h4>
-	
-	    <div class="comments"></div>
-	    
-	    <h4 id="_read_hope_keyword_ZLIMITS">ZLIMITS&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
-	      
-	      
-	      
-  	      
-	      
-	      
-	      
-	      
-	    </h4>
-	
-	    <div class="comments"></div>
-	    
-	    <h4 id="_read_hope_keyword_TLIMITS">TLIMITS&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
-	      
-	      
-	      
-  	      
-	      
-	      
-	      
-	      
-	    </h4>
-	
-	    <div class="comments"></div>
-	    
-	    <h4 id="_read_hope_keyword_ODDPT">ODDPT&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
-	      
-	      
-	      
-  	      
-	      
-	      
-	      
-	      
-	    </h4>
-	
-	    <div class="comments"></div>
-	    
-	    <h4 id="_read_hope_keyword_ODDEVENPT">ODDEVENPT&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
-	      
-	      
-	      
-  	      
-	      
-	      
-	      
-	      
-	    </h4>
-	
-	    <div class="comments"></div>
-	    
-	    <h4 id="_read_hope_keyword_EVENPT">EVENPT&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
-	      
-	      
-	      
-  	      
-	      
-	      
-	      
-	      
-	    </h4>
-	
-	    <div class="comments"></div>
-	    
-	    <h4 id="_read_hope_keyword__extra">_extra&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
-	      
-	      
-	      
-  	      
-	      
-	      
-	      
-	      
-	    </h4>
-	
-	    <div class="comments"></div>
-	    
-	  
-
-	  
-	  
-	  
-	  
-	  
-	  
-	  
-	  
-	  
-	  
-	  
-	  
-	
-	  
-	  
-	  
-	  
+	  <h3>Version history</h3>
+	  
+	  <h4>Version</h4><div class="preformat">
+ $Id$
+</div>
+	  <h4>History</h4><div class="preformat"></div>
+	  
+	  
+	  <h3>Known issues</h3>
+	  
+	  
+	  
+	  <h4>Restrictions</h4><div class="preformat">
+ 'x', 'y', 'z', 't', 'xt', 'yt' and 'zt' section not coded, xconv
+ must be able to works with this kind of fonction.
+ The grib file has no zoom possibilities on horizontal dimensions.
+
+
+
+ When typein and varnamein are defined, the methode to find the
+ godd variable is:
+  1) find the variables which are available on this type of
+ sections woth this name
+  2) if ODDPT, EVENPT or ODDEVENPT are specified, consider only
+ these types of sections
+  3) For an XY section the chosen variable is the one which has
+ the most level in the vertical domain specified by ZLIMITS.
+     For an XZ section the chosen variable is the one which has
+ the most points in the latitude domain specified by YLIMITS.
+     For an YZ section the chosen variable is the one which has
+ the most points in the longitude domain specified by XLIMITS.
+
+</div>
+	
+	  <h3>Other attributes</h3>
+	  
+	  
+	  <h4>Uses routines</h4><div class="preformat">
+ common.pro (usefull only for the definition of iodir)
+</div>
 	  
 	  