Index: trunk/SRC/ToBeReviewed/LECTURE/.idlwave_catalog
===================================================================
--- trunk/SRC/ToBeReviewed/LECTURE/.idlwave_catalog	(revision 150)
+++ trunk/SRC/ToBeReviewed/LECTURE/.idlwave_catalog	(revision 151)
@@ -14,7 +14,7 @@
    ("ftp_parse_pasv" pro nil (lib "read_ftp.pro" nil "saxo") "%s, text, host, port" (nil))
    ("read_ftp" pro nil (lib "read_ftp.pro" nil "saxo") "%s, site, files, dir, port" (nil ("data") ("file") ("pass") ("ptr") ("user")))
-   ("read_ncdf" fun nil (lib "read_ncdf.pro" nil "saxo") "Result = %s(name, debut, fin, pour_etre_compatible)" (nil ("_EXTRA") ("BOXZOOM") ("CONT_NOFILL") ("FBASE2TBASE") ("FILENAME") ("GRID") ("INIT") ("NOSTRUCT") ("PARENTIN") ("TIMESTEP") ("TIMEVAR") ("TOUT")))
+   ("read_ncdf" fun nil (lib "read_ncdf.pro" nil "saxo") "Result = %s(name, beginning, ending, compatibility)" (nil ("_EXTRA") ("BOXZOOM") ("CONT_NOFILL") ("FBASE2TBASE") ("FILENAME") ("GRID") ("INIT") ("NOSTRUCT") ("PARENTIN") ("TIMESTEP") ("TIMEVAR") ("TOUT")))
+   ("xncdf_lec" fun nil (lib "xncdf_lec.pro" nil "saxo") "Result = %s(name)" (nil ("ATT") ("COUNT") ("GROUP") ("IODIR") ("OFFSET") ("SHIFT") ("STRIDE") ("VAR")))
    ("wid_var_event" pro nil (lib "xncdf_lec.pro" nil "saxo") "%s, event" (nil))
    ("wid_var" pro nil (lib "xncdf_lec.pro" nil "saxo") "%s, widid_pere" (nil))
-   ("xncdf_lec_event" pro nil (lib "xncdf_lec.pro" nil "saxo") "%s, event" (nil))
-   ("xncdf_lec" fun nil (lib "xncdf_lec.pro" nil "saxo") "Result = %s(nom)" (nil ("ATT") ("COUNT") ("GROUP") ("IODIR") ("OFFSET") ("SHIFT") ("STRIDE") ("VAR")))))
+   ("xncdf_lec_event" pro nil (lib "xncdf_lec.pro" nil "saxo") "%s, event" (nil))))
Index: trunk/SRC/ToBeReviewed/PLOTS/DESSINE/.idlwave_catalog
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/DESSINE/.idlwave_catalog	(revision 150)
+++ trunk/SRC/ToBeReviewed/PLOTS/DESSINE/.idlwave_catalog	(revision 151)
@@ -7,6 +7,6 @@
 (setq idlwave-library-catalog-routines
  '(("bar_plot" pro nil (lib "bar_plot.pro" nil "saxo") "%s, values" (nil ("_EXTRA") ("background") ("barnames") ("baroffset") ("barspace") ("barwidth") ("baselines") ("baserange") ("colors") ("outline") ("overplot") ("rotate") ("title") ("xtitle") ("ytitle")))
-   ("plt" pro nil (lib "plt.pro" nil "saxo") "%s, tab1, giventype, givenmin, givenmax" (nil ("_extra") ("BOXZOOM") ("CONT_NOFILL") ("CONTINTERVALLE") ("CONTLABEL") ("CONTMAX") ("CONTMIN") ("CONTNLEVEL") ("CONTOUR") ("DECIMATETRI") ("DUPLICATE") ("GRIDTYPE") ("INTERVALLE") ("INV") ("LABEL") ("LABMAP") ("MAP") ("MASKFILL") ("MAXIN") ("MININ") ("NLEVEL") ("NOTRI") ("OVERPLOT") ("REALCONT") ("STRICTFILL") ("STYLE") ("USETRI") ("VECTEUR")))
-   ("plt1d" pro nil (lib "plt1d.pro" nil "saxo") "%s, tab, giventype, givenmin, givenmax" (nil ("_extra") ("BOXZOOM") ("COL1D") ("ENDPOINTS") ("MAXIN") ("MININ") ("OV1D") ("REVERSE_X") ("REVERSE_Y") ("SIN") ("STY1D") ("SWITCHXY") ("TT") ("TYPEIN") ("X") ("Y") ("Z")))
+   ("plt" pro nil (lib "plt.pro" nil "saxo") "%s, tab1, param2, param3, param4" (nil ("_extra") ("BOXZOOM") ("CONT_NOFILL") ("CONTINTERVALLE") ("CONTLABEL") ("CONTMAX") ("CONTMIN") ("CONTNLEVEL") ("CONTOUR") ("DECIMATETRI") ("DUPLICATE") ("GRIDTYPE") ("INTERVALLE") ("INV") ("LABEL") ("LABMAP") ("MAP") ("MASKFILL") ("MAXIN") ("MININ") ("NLEVEL") ("NOTRI") ("OVERPLOT") ("REALCONT") ("STRICTFILL") ("STYLE") ("USETRI") ("VECTEUR")))
+   ("plt1d" pro nil (lib "plt1d.pro" nil "saxo") "%s, tab, param2, param3, param4" (nil ("_extra") ("BOXZOOM") ("COL1D") ("ENDPOINTS") ("MAXIN") ("MININ") ("OV1D") ("REVERSE_X") ("REVERSE_Y") ("SIN") ("STY1D") ("SWITCHXY") ("TT") ("TYPEIN") ("X") ("Y") ("Z")))
    ("pltbase" pro nil (lib "pltbase.pro" nil "saxo") "%s, z2d, x, y, mask, xm, ym, levels, colors" (nil ("_EXTRA") ("COINDESCENDMASK") ("COINDESCENDNAN") ("COINMONTEMASK") ("COINMONTENAN") ("COLOR_C") ("COLORPOINTS") ("COLORTRICHAMP") ("COLORTRIMASK") ("COLORTRINAN") ("CONT_COLOR") ("CONT_NOFILL") ("CONTOUR") ("DESSTRICHAMP") ("DESSTRIMASK") ("DESSTRINAN") ("DRAWPOINTS") ("EXCHANGE_XY") ("FORPLT") ("I_COLORS") ("INDICEZOOMMASK") ("INDICEZOOMNAN") ("MASKNAN") ("MORE") ("NAN") ("NOCONTOUR") ("NOFILL") ("REALCONT") ("REALSECTION") ("TH_TRICHAMP") ("TH_TRIMASK") ("TRICHAMP") ("TRIMSK") ("TRINAN") ("UNLABSUR") ("UNSUR2") ("usetri")))
    ("pltsc" pro nil (lib "pltsc.pro" nil "saxo") "%s, tab1, tab2, min1, max1, min2, max2, varname2" (nil ("_extra") ("BOXZOOM") ("COL1D") ("OV1D") ("STY1D")))
Index: trunk/SRC/ToBeReviewed/STRUCTURE/.idlwave_catalog
===================================================================
--- trunk/SRC/ToBeReviewed/STRUCTURE/.idlwave_catalog	(revision 150)
+++ trunk/SRC/ToBeReviewed/STRUCTURE/.idlwave_catalog	(revision 151)
@@ -7,5 +7,5 @@
 (setq idlwave-library-catalog-routines
  '(("chkstru" fun nil (lib "chkstru.pro" nil "saxo") "Result = %s(structure, fields)" (nil ("extract") ("index") ("verbose")))
-   ("extractstru" fun nil (lib "extractstru.pro" nil "saxo") "Result = %s(stru, liste)" (nil ("GARDE") ("VIRE")))
+   ("extractstru" fun nil (lib "extractstru.pro" nil "saxo") "Result = %s(stru, liste)" (nil ("DELETE") ("KEEP")))
    ("mixstru" fun nil (lib "mixstru.pro" nil "saxo") "Result = %s(stru1, stru2)" (nil))
    ("struct2string" fun nil (lib "struct2string.pro" nil "saxo") "Result = %s(struct)" (nil ("CUT_IN_STRING") ("DIRECT2STRING") ("MAX_STRUCT_LENGTH")))
Index: trunk/SRC/ToBeReviewed/TRIANGULATION/.idlwave_catalog
===================================================================
--- trunk/SRC/ToBeReviewed/TRIANGULATION/.idlwave_catalog	(revision 150)
+++ trunk/SRC/ToBeReviewed/TRIANGULATION/.idlwave_catalog	(revision 151)
@@ -6,5 +6,5 @@
 (setq idlwave-library-catalog-libname "saxo")
 (setq idlwave-library-catalog-routines
- '(("ciseauxtri" fun nil (lib "ciseauxtri.pro" nil "saxo") "Result = %s(triang, glam, gphi)" (nil ("_EXTRA") ("TOUT")))
+ '(("ciseauxtri" fun nil (lib "ciseauxtri.pro" nil "saxo") "Result = %s(triang, glam, gphi)" (nil ("_EXTRA") ("ALL")))
    ("draw_corner_triangle" pro nil (lib "completecointerre.pro" nil "saxo") "%s, lons, lats, seuil" (nil ("_extra") ("CONT_COLOR")))
    ("completecointerre" pro nil (lib "completecointerre.pro" nil "saxo") "%s" (nil ("_extra") ("COINDESCEND") ("COINMONTE") ("CONT_COLOR") ("INDICEZOOM")))
Index: trunk/SRC/ToBeReviewed/WIDGET/.idlwave_catalog
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/.idlwave_catalog	(revision 150)
+++ trunk/SRC/ToBeReviewed/WIDGET/.idlwave_catalog	(revision 151)
@@ -6,5 +6,5 @@
 (setq idlwave-library-catalog-libname "saxo")
 (setq idlwave-library-catalog-routines
- '(("findtopid" fun nil (lib "findtopid.pro" nil "saxo") "Result = %s(identite)" (nil))
+ '(("findtopid" fun nil (lib "findtopid.pro" nil "saxo") "Result = %s(WIDGET_ID)" (nil))
    ("slec" fun nil (lib "slec.pro" nil "saxo") "Result = %s(name, debut, fin, nomexp)" (nil ("_EXTRA") ("BOXZOOM") ("PARENT")))
    ("xnotice" fun nil (lib "xnotice.pro" nil "saxo") "Result = %s(text)" (nil ("CHKWIDGET")))