Index: trunk/SRC/Documentation/idldoc_html_output/buildinit.html
===================================================================
--- trunk/SRC/Documentation/idldoc_html_output/buildinit.html	(revision 138)
+++ trunk/SRC/Documentation/idldoc_html_output/buildinit.html	(revision 157)
@@ -33,4 +33,7 @@
 
 /* Main styles --------------------------------------------------------------- */
+p.preformat {
+  font-family: Courier;
+}
 
 body {
@@ -696,5 +699,25 @@
       </div>
 
-      <div id="file_comments"></div>
+      <div id="file_comments">
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+</div>
 
       
@@ -711,5 +734,5 @@
 	  
 	  <dt><p><a href="#_CW_FIELD2"><span class="result">result = </span>CW_FIELD2(<span class="result">Parent</span>, COLUMN=<span class="result">COLUMN</span>, ROW=<span class="result">ROW</span>, EVENT_FUNC=<span class="result">EVENT_FUNC</span>, FLOATING=<span class="result">FLOATING</span>, INTEGER=<span class="result">INTEGER</span>, LONG=<span class="result">LONG</span>, STRING=<span class="result">STRING</span>, FONT=<span class="result">FONT</span>, FRAME=<span class="result">FRAME</span>, TITLE=<span class="result">TITLE</span>, UVALUE=<span class="result">UVALUE</span>, VALUE=<span class="result">VALUE</span>, RETURN_EVENTS=<span class="result">RETURN_EVENTS</span>, ALL_EVENTS=<span class="result">ALL_EVENTS</span>, FIELDFONT=<span class="result">FIELDFONT</span>, NOEDIT=<span class="result">NOEDIT</span>, TEXT_FRAME=<span class="result">TEXT_FRAME</span>, XSIZE=<span class="result">XSIZE</span>, YSIZE=<span class="result">YSIZE</span>, UNAME=<span class="result">UNAME</span>)</a></p><dt>
-	  <dd>  NAME:     PURPOSE:     CATEGORY:     CALLING SEQUENCE:     INPUTS:     OPTIONAL INPUTS:     KEYWORD PARAMETERS:     OUTPUTS:     OPTIONAL OUTPUTS:     COMMON BLOCKS:     SIDE EFFECTS:     RESTRICTIONS:     PROCEDURE:     EXAMPLE:     MODIFICATION HISTORY: </dd>	
+	  <dd></dd>	
 	  
 	  <dt><p><a href="#_printerdef_event">printerdef_event<span class="result">, event</span></a></p><dt>
@@ -740,87 +763,35 @@
 	<div class="routine_details" id="_CW_FIELD2">
 
-	  <h2><a class="top" href="#container">top</a>CW_FIELD2 </h2>
+	  <h2><a class="top" href="#container">top</a>CW_FIELD2 <span class="categories">
+
+</span></h2>
 	
 	  <p class="header">
 	    <span class="result">result = </span>CW_FIELD2(<span class="result"><a href="#_CW_FIELD2_param_Parent">Parent</a></span>, <a href="#_CW_FIELD2_keyword_COLUMN">COLUMN</a>=<span class="result">COLUMN</span>, <a href="#_CW_FIELD2_keyword_ROW">ROW</a>=<span class="result">ROW</span>, <a href="#_CW_FIELD2_keyword_EVENT_FUNC">EVENT_FUNC</a>=<span class="result">EVENT_FUNC</span>, <a href="#_CW_FIELD2_keyword_FLOATING">FLOATING</a>=<span class="result">FLOATING</span>, <a href="#_CW_FIELD2_keyword_INTEGER">INTEGER</a>=<span class="result">INTEGER</span>, <a href="#_CW_FIELD2_keyword_LONG">LONG</a>=<span class="result">LONG</span>, <a href="#_CW_FIELD2_keyword_STRING">STRING</a>=<span class="result">STRING</span>, <a href="#_CW_FIELD2_keyword_FONT">FONT</a>=<span class="result">FONT</span>, <a href="#_CW_FIELD2_keyword_FRAME">FRAME</a>=<span class="result">FRAME</span>, <a href="#_CW_FIELD2_keyword_TITLE">TITLE</a>=<span class="result">TITLE</span>, <a href="#_CW_FIELD2_keyword_UVALUE">UVALUE</a>=<span class="result">UVALUE</span>, <a href="#_CW_FIELD2_keyword_VALUE">VALUE</a>=<span class="result">VALUE</span>, <a href="#_CW_FIELD2_keyword_RETURN_EVENTS">RETURN_EVENTS</a>=<span class="result">RETURN_EVENTS</span>, <a href="#_CW_FIELD2_keyword_ALL_EVENTS">ALL_EVENTS</a>=<span class="result">ALL_EVENTS</span>, <a href="#_CW_FIELD2_keyword_FIELDFONT">FIELDFONT</a>=<span class="result">FIELDFONT</span>, <a href="#_CW_FIELD2_keyword_NOEDIT">NOEDIT</a>=<span class="result">NOEDIT</span>, <a href="#_CW_FIELD2_keyword_TEXT_FRAME">TEXT_FRAME</a>=<span class="result">TEXT_FRAME</span>, <a href="#_CW_FIELD2_keyword_XSIZE">XSIZE</a>=<span class="result">XSIZE</span>, <a href="#_CW_FIELD2_keyword_YSIZE">YSIZE</a>=<span class="result">YSIZE</span>, <a href="#_CW_FIELD2_keyword_UNAME">UNAME</a>=<span class="result">UNAME</span>)</p>
 	
+	  <div class="comments"></div>
+
+	  <h3>Return value</h3><div class="preformat">
+
+</div>
+
+	  
+	    <h3>Parameters</h3>
+	
+	    
+	    <h4 id="_CW_FIELD2_param_Parent">Parent&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+	      <span class="attr">in</span>
+	      
+	      
+	      
+	      
+	      
+	      
+	      
+	    </h4>
+	
 	  <div class="comments">
- NAME:
-
-
-
- PURPOSE:
-
-
-
- CATEGORY:
-
-
-
- CALLING SEQUENCE:
-
-
-
- INPUTS:
-
-
-
- OPTIONAL INPUTS:
-
-
-
- KEYWORD PARAMETERS:
-
-
-
- OUTPUTS:
-
-
-
- OPTIONAL OUTPUTS:
-
-
-
- COMMON BLOCKS:
-
-
-
- SIDE EFFECTS:
-
-
-
- RESTRICTIONS:
-
-
-
- PROCEDURE:
-
-
-
- EXAMPLE:
-
-
-
- MODIFICATION HISTORY:
-</div>
-
-	  
-
-	  
-	    <h3>Parameters</h3>
-	
-	    
-	    <h4 id="_CW_FIELD2_param_Parent">Parent&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
-	      
-	      
-	      
-	      
-	      
-	      
-	      
-	      
-	    </h4>
-	
-	  <div class="comments"></div>
+ The ID of the parent widget.
+</div>
 	    
 
@@ -842,5 +813,7 @@
 	    </h4>
 	
-	    <div class="comments"></div>
+	    <div class="comments"> 
+ Buttons will be arranged in the number of columns specified by this keyword.
+</div>
 	    
 	    <h4 id="_CW_FIELD2_keyword_ROW">ROW&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
@@ -855,5 +828,7 @@
 	    </h4>
 	
-	    <div class="comments"></div>
+	    <div class="comments">
+ Buttons will be arranged in the number of rows specified by this keyword.
+</div>
 	    
 	    <h4 id="_CW_FIELD2_keyword_EVENT_FUNC">EVENT_FUNC&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
@@ -868,5 +843,9 @@
 	    </h4>
 	
-	    <div class="comments"></div>
+	    <div class="comments">
+ The name of an optional user-supplied event function for buttons. 
+ This function is called with the return value structure whenever a 
+ button is pressed, and follows the conventions for user-written event functions.
+</div>
 	    
 	    <h4 id="_CW_FIELD2_keyword_FLOATING">FLOATING&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
@@ -881,5 +860,7 @@
 	    </h4>
 	
-	    <div class="comments"></div>
+	    <div class="comments">
+
+</div>
 	    
 	    <h4 id="_CW_FIELD2_keyword_INTEGER">INTEGER&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
@@ -894,5 +875,7 @@
 	    </h4>
 	
-	    <div class="comments"></div>
+	    <div class="comments">
+
+</div>
 	    
 	    <h4 id="_CW_FIELD2_keyword_LONG">LONG&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
@@ -907,5 +890,7 @@
 	    </h4>
 	
-	    <div class="comments"></div>
+	    <div class="comments">
+
+</div>
 	    
 	    <h4 id="_CW_FIELD2_keyword_STRING">STRING&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
@@ -920,5 +905,7 @@
 	    </h4>
 	
-	    <div class="comments"></div>
+	    <div class="comments">
+
+</div>
 	    
 	    <h4 id="_CW_FIELD2_keyword_FONT">FONT&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
@@ -933,5 +920,8 @@
 	    </h4>
 	
-	    <div class="comments"></div>
+	    <div class="comments">
+ The name of the font to be used for the button titles. If this keyword 
+ is not specified, the default font is used.
+</div>
 	    
 	    <h4 id="_CW_FIELD2_keyword_FRAME">FRAME&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
@@ -946,5 +936,7 @@
 	    </h4>
 	
-	    <div class="comments"></div>
+	    <div class="comments">
+ Specifies the width of the frame to be drawn around the base.
+</div>
 	    
 	    <h4 id="_CW_FIELD2_keyword_TITLE">TITLE&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
@@ -959,5 +951,7 @@
 	    </h4>
 	
-	    <div class="comments"></div>
+	    <div class="comments">
+ The title of the window
+</div>
 	    
 	    <h4 id="_CW_FIELD2_keyword_UVALUE">UVALUE&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
@@ -972,5 +966,7 @@
 	    </h4>
 	
-	    <div class="comments"></div>
+	    <div class="comments">
+ The user value to be associated with the widget.
+</div>
 	    
 	    <h4 id="_CW_FIELD2_keyword_VALUE">VALUE&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
@@ -985,5 +981,7 @@
 	    </h4>
 	
-	    <div class="comments"></div>
+	    <div class="comments">
+
+</div>
 	    
 	    <h4 id="_CW_FIELD2_keyword_RETURN_EVENTS">RETURN_EVENTS&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
@@ -998,5 +996,7 @@
 	    </h4>
 	
-	    <div class="comments"></div>
+	    <div class="comments">
+
+</div>
 	    
 	    <h4 id="_CW_FIELD2_keyword_ALL_EVENTS">ALL_EVENTS&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
@@ -1011,5 +1011,7 @@
 	    </h4>
 	
-	    <div class="comments"></div>
+	    <div class="comments">
+
+</div>
 	    
 	    <h4 id="_CW_FIELD2_keyword_FIELDFONT">FIELDFONT&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
@@ -1024,5 +1026,7 @@
 	    </h4>
 	
-	    <div class="comments"></div>
+	    <div class="comments">
+
+</div>
 	    
 	    <h4 id="_CW_FIELD2_keyword_NOEDIT">NOEDIT&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
@@ -1037,5 +1041,7 @@
 	    </h4>
 	
-	    <div class="comments"></div>
+	    <div class="comments">
+
+</div>
 	    
 	    <h4 id="_CW_FIELD2_keyword_TEXT_FRAME">TEXT_FRAME&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
@@ -1050,5 +1056,7 @@
 	    </h4>
 	
-	    <div class="comments"></div>
+	    <div class="comments">
+
+</div>
 	    
 	    <h4 id="_CW_FIELD2_keyword_XSIZE">XSIZE&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
@@ -1063,5 +1071,7 @@
 	    </h4>
 	
-	    <div class="comments"></div>
+	    <div class="comments">
+ The width of the base. 
+</div>
 	    
 	    <h4 id="_CW_FIELD2_keyword_YSIZE">YSIZE&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
@@ -1076,5 +1086,7 @@
 	    </h4>
 	
-	    <div class="comments"></div>
+	    <div class="comments">
+ The height of the base.
+</div>
 	    
 	    <h4 id="_CW_FIELD2_keyword_UNAME">UNAME&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
@@ -1089,25 +1101,36 @@
 	    </h4>
 	
-	    <div class="comments"></div>
-	    
-	  
-
-	  
-	  
-	  
-	  
-	  
-	  
-	  
-	  
-	  
-	  
-	  
-	  
-	
-	  
-	  
-	  
-	  
+	    <div class="comments">
+ The user name to be associated with the widget.
+</div>
+	    
+	  
+
+	  <h3>Examples</h3><div class="preformat">
+
+</div>
+	  <h3>Version history</h3>
+	  
+	  <h4>Version</h4><div class="preformat">
+ $Id$</div>
+	  <h4>History</h4><div class="preformat">
+
+</div>
+	  
+	  
+	  <h3>Known issues</h3>
+	  
+	  
+	  
+	  <h4>Restrictions</h4><div class="preformat">:
+
+</div>
+	
+	  <h3>Other attributes</h3>
+	  
+	  
+	  <h4>Uses routines</h4><div class="preformat">
+
+</div>
 	  
 	  
@@ -1121,5 +1144,7 @@
 	<div class="routine_details" id="_printerdef_event">
 
-	  <h2><a class="top" href="#container">top</a>printerdef_event </h2>
+	  <h2><a class="top" href="#container">top</a>printerdef_event <span class="categories">
+
+ </span></h2>
 	
 	  <p class="header">
@@ -1128,5 +1153,7 @@
 	  <div class="comments"></div>
 
-	  
+	  <h3>Return value</h3><div class="preformat">
+ 
+ </div>
 
 	  
@@ -1145,28 +1172,39 @@
 	    </h4>
 	
-	  <div class="comments"></div>
-	    
-
-	  
-
-	  
-
-	  
-	  
-	  
-	  
-	  
-	  
-	  
-	  
-	  
-	  
-	  
-	  
-	
-	  
-	  
-	  
-	  
+	  <div class="comments">
+
+</div>
+	    
+
+	  
+
+	  
+
+	  <h3>Examples</h3><div class="preformat">
+ 
+ </div>
+	  <h3>Version history</h3>
+	  
+	  <h4>Version</h4><div class="preformat"> 
+ $Id$</div>
+	  <h4>History</h4><div class="preformat">
+ 
+ </div>
+	  
+	  
+	  <h3>Known issues</h3>
+	  
+	  
+	  
+	  <h4>Restrictions</h4><div class="preformat">
+ 
+ </div>
+	
+	  <h3>Other attributes</h3>
+	  
+	  
+	  <h4>Uses routines</h4><div class="preformat">
+ 
+ </div>
 	  
 	  
@@ -1180,5 +1218,7 @@
 	<div class="routine_details" id="_papsize_event">
 
-	  <h2><a class="top" href="#container">top</a>papsize_event </h2>
+	  <h2><a class="top" href="#container">top</a>papsize_event <span class="categories">
+
+ </span></h2>
 	
 	  <p class="header">
@@ -1187,5 +1227,7 @@
 	  <div class="comments"></div>
 
-	  
+	  <h3>Return value</h3><div class="preformat">
+ 
+ </div>
 
 	  
@@ -1204,28 +1246,39 @@
 	    </h4>
 	
-	  <div class="comments"></div>
-	    
-
-	  
-
-	  
-
-	  
-	  
-	  
-	  
-	  
-	  
-	  
-	  
-	  
-	  
-	  
-	  
-	
-	  
-	  
-	  
-	  
+	  <div class="comments">
+
+</div>
+	    
+
+	  
+
+	  
+
+	  <h3>Examples</h3><div class="preformat">
+ 
+ </div>
+	  <h3>Version history</h3>
+	  
+	  <h4>Version</h4><div class="preformat"> 
+ $Id$</div>
+	  <h4>History</h4><div class="preformat">
+ 
+ </div>
+	  
+	  
+	  <h3>Known issues</h3>
+	  
+	  
+	  
+	  <h4>Restrictions</h4><div class="preformat">
+ 
+ </div>
+	
+	  <h3>Other attributes</h3>
+	  
+	  
+	  <h4>Uses routines</h4><div class="preformat">
+ 
+ </div>
 	  
 	  
@@ -1239,5 +1292,7 @@
 	<div class="routine_details" id="_xask_event">
 
-	  <h2><a class="top" href="#container">top</a>xask_event </h2>
+	  <h2><a class="top" href="#container">top</a>xask_event <span class="categories">
+
+ </span></h2>
 	
 	  <p class="header">
@@ -1246,5 +1301,7 @@
 	  <div class="comments"></div>
 
-	  
+	  <h3>Return value</h3><div class="preformat">
+ 
+ </div>
 
 	  
@@ -1263,28 +1320,39 @@
 	    </h4>
 	
-	  <div class="comments"></div>
-	    
-
-	  
-
-	  
-
-	  
-	  
-	  
-	  
-	  
-	  
-	  
-	  
-	  
-	  
-	  
-	  
-	
-	  
-	  
-	  
-	  
+	  <div class="comments">
+
+</div>
+	    
+
+	  
+
+	  
+
+	  <h3>Examples</h3><div class="preformat">
+ 
+ </div>
+	  <h3>Version history</h3>
+	  
+	  <h4>Version</h4><div class="preformat"> 
+ $Id$</div>
+	  <h4>History</h4><div class="preformat">
+ 
+ </div>
+	  
+	  
+	  <h3>Known issues</h3>
+	  
+	  
+	  
+	  <h4>Restrictions</h4><div class="preformat">
+ 
+ </div>
+	
+	  <h3>Other attributes</h3>
+	  
+	  
+	  <h4>Uses routines</h4><div class="preformat">
+ 
+ </div>
 	  
 	  
@@ -1298,5 +1366,7 @@
 	<div class="routine_details" id="_xask">
 
-	  <h2><a class="top" href="#container">top</a>xask </h2>
+	  <h2><a class="top" href="#container">top</a>xask <span class="categories">
+
+ </span></h2>
 	
 	  <p class="header">
@@ -1305,5 +1375,7 @@
 	  <div class="comments"></div>
 
-	  
+	  <h3>Return value</h3><div class="preformat">
+ 
+ </div>
 
 	  
@@ -1324,25 +1396,36 @@
 	    </h4>
 	
-	    <div class="comments"></div>
-	    
-	  
-
-	  
-	  
-	  
-	  
-	  
-	  
-	  
-	  
-	  
-	  
-	  
-	  
-	
-	  
-	  
-	  
-	  
+	    <div class="comments">
+ Used to pass your keywords
+</div>
+	    
+	  
+
+	  <h3>Examples</h3><div class="preformat">
+ 
+ </div>
+	  <h3>Version history</h3>
+	  
+	  <h4>Version</h4><div class="preformat"> 
+ $Id$</div>
+	  <h4>History</h4><div class="preformat">
+ 
+ </div>
+	  
+	  
+	  <h3>Known issues</h3>
+	  
+	  
+	  
+	  <h4>Restrictions</h4><div class="preformat">
+ 
+ </div>
+	
+	  <h3>Other attributes</h3>
+	  
+	  
+	  <h4>Uses routines</h4><div class="preformat">
+ 
+ </div>
 	  
 	  
@@ -1356,5 +1439,7 @@
 	<div class="routine_details" id="_getdir">
 
-	  <h2><a class="top" href="#container">top</a>getdir </h2>
+	  <h2><a class="top" href="#container">top</a>getdir <span class="categories">
+
+</span></h2>
 	
 	  <p class="header">
@@ -1363,5 +1448,7 @@
 	  <div class="comments"></div>
 
-	  
+	  <h3>Return value</h3><div class="preformat">
+ 
+ </div>
 
 	  
@@ -1382,5 +1469,7 @@
 	    </h4>
 	
-	    <div class="comments"></div>
+	    <div class="comments">
+ The title of the window
+</div>
 	    
 	    <h4 id="_getdir_keyword_nomark">nomark&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
@@ -1395,5 +1484,7 @@
 	    </h4>
 	
-	    <div class="comments"></div>
+	    <div class="comments">
+ 
+</div>
 	    
 	    <h4 id="_getdir_keyword_nowrite">nowrite&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
@@ -1408,25 +1499,36 @@
 	    </h4>
 	
-	    <div class="comments"></div>
-	    
-	  
-
-	  
-	  
-	  
-	  
-	  
-	  
-	  
-	  
-	  
-	  
-	  
-	  
-	
-	  
-	  
-	  
-	  
+	    <div class="comments">
+
+</div>
+	    
+	  
+
+	  <h3>Examples</h3><div class="preformat">
+ 
+ </div>
+	  <h3>Version history</h3>
+	  
+	  <h4>Version</h4><div class="preformat"> 
+ $Id$</div>
+	  <h4>History</h4><div class="preformat">
+ 
+ </div>
+	  
+	  
+	  <h3>Known issues</h3>
+	  
+	  
+	  
+	  <h4>Restrictions</h4><div class="preformat">
+ 
+ </div>
+	
+	  <h3>Other attributes</h3>
+	  
+	  
+	  <h4>Uses routines</h4><div class="preformat">
+ 
+ </div>
 	  
 	  
@@ -1440,5 +1542,7 @@
 	<div class="routine_details" id="_buildinit">
 
-	  <h2><a class="top" href="#container">top</a>buildinit </h2>
+	  <h2><a class="top" href="#container">top</a>buildinit <span class="categories">
+
+</span></h2>
 	
 	  <p class="header">
@@ -1447,27 +1551,38 @@
 	  <div class="comments"></div>
 
-	  
-
-	  
-
-	  
-
-	  
-	  
-	  
-	  
-	  
-	  
-	  
-	  
-	  
-	  
-	  
-	  
-	
-	  
-	  
-	  
-	  
+	  <h3>Return value</h3><div class="preformat">
+ 
+ </div>
+
+	  
+
+	  
+
+	  <h3>Examples</h3><div class="preformat">
+ 
+ </div>
+	  <h3>Version history</h3>
+	  
+	  <h4>Version</h4><div class="preformat"> 
+ $Id$</div>
+	  <h4>History</h4><div class="preformat">
+ 
+ </div>
+	  
+	  
+	  <h3>Known issues</h3>
+	  
+	  
+	  
+	  <h4>Restrictions</h4><div class="preformat">
+ 
+ </div>
+	
+	  <h3>Other attributes</h3>
+	  
+	  
+	  <h4>Uses routines</h4><div class="preformat">
+ 
+ </div>
 	  
 	  