Index: trunk/SRC/Documentation/xmldoc/faqsaxo.xml
===================================================================
--- trunk/SRC/Documentation/xmldoc/faqsaxo.xml	(revision 161)
+++ trunk/SRC/Documentation/xmldoc/faqsaxo.xml	(revision 161)
@@ -0,0 +1,260 @@
+<?xml version='1.0' encoding='iso-8859-1'?>
+<!DOCTYPE article PUBLIC "-//OASIS//DTD DocBook XML V4.2//EN"
+"http://www.oasis-open.org/docbook/xml/4.2/docbookx.dtd"
+[]>
+<!--
+en s'inspirant de
+http://www.csc.fi/math_topics/Mail/FAQ/msg00069.html
+pour les questions
+on pourra aussi s'inspirer de http://idlastro.gsfc.nasa.gov/idlfaq.html
+
+!! on notera l'utilisation hypersioux de xinclude xpointer pour ne pas répéter
+(avec des erreurs, forcément)à ce qui est déjà écrit dans un autre document
+!!
+cf http://www.zvon.org/xxl/XIncludeTutorial/Output/example9.html
+cf http://www.zvon.org/xxl/XIncludeTutorial/Output/example12.html
+bon finalement c'est pas si hyper rusé parce qu'on hérite du plan (sect1 par
+exemple de l'entité incluse)
+-->
+<article>
+<title>Frequently Asked questions about SAXO</title>
+  <articleinfo>
+    <authorgroup>
+      <author><firstname>Sébastien</firstname> <surname>Masson</surname> <email>Sebastien.Masson_at_locean-ipsl.upmc.fr</email></author>
+      <author><firstname>Françoise</firstname> <surname>Pinsard</surname> <email>Francoise.Pinsard_at_locean-ipsl.upmc.fr</email></author>
+    </authorgroup>
+    <keywordset>
+      <keyword>idl</keyword>
+      <keyword>SAXO</keyword>
+      <keyword>FAQ</keyword>
+    </keywordset>
+    <revhistory>
+      <revision>
+        <revnumber>0.0</revnumber>
+        <date>August 2006</date>
+        <revremark>First draft</revremark>
+      </revision>
+    </revhistory>
+    <pubdate>$Id$</pubdate>
+  </articleinfo>
+
+<qandaset>
+<qandadiv id="intro">
+<title>Introduction</title>
+<para>
+This is a list of Frequently Asked Questions about SAXO.
+</para>
+<para>
+This list is roughly divided into categories: general questions,
+technical questions, contributors questions.
+</para>
+<para>
+Suggestions for corrections or additional sections are welcome -- please email them to <email>saxo-dev@forge.ipsl.jussieu.fr</email>.
+</para>
+</qandadiv>
+<qandadiv id="general">
+<title>General</title>
+<qandaentry>
+<question>
+<para>
+What is SAXO ?
+</para>
+</question>
+<answer>
+<para>
+see document <ulink url="../../saxo/browser/trunk/SRC/Documentation/xmldoc/whatissaxo.html?format=raw">What is SAXO</ulink>.
+</para>
+</answer>
+</qandaentry>
+<qandaentry>
+<question>
+<para>
+How can I get help ?
+</para>
+</question>
+<answer>
+<para>
+see Support in document <ulink url="../../saxo/browser/trunk/SRC/Documentation/xmldoc/main.html?format=raw">Main page of SAXO</ulink>.
+</para>
+</answer>
+</qandaentry>
+<qandaentry>
+<question>
+<para>
+How do I get SAXO ?
+</para>
+</question>
+<answer>
+<para>
+see document <ulink url="../../saxo/browser/trunk/SRC/Documentation/xmldoc/getsaxo.html?format=raw">Get SAXO</ulink>.
+</para>
+</answer>
+</qandaentry>
+<qandaentry>
+<question>
+<para>
+What is the current version of SAXO ?
+</para>
+</question>
+<answer>
+<para>
+</para>
+</answer>
+</qandaentry>
+<qandaentry>
+<question>
+<para>
+On what systems does SAXO run ?
+</para>
+</question>
+<answer>
+<para>
+</para>
+</answer>
+</qandaentry>
+<qandaentry>
+<question>
+<para>
+Does SAXO works wih GDL instead of IDL ?
+</para>
+</question>
+<answer>
+<para>
+Not yet. <!-- et de toute façon GDL est pour l'instant équivalent à la version
+6.0 de IDL donc peut-etre que tout SAXO ne fonctionnerait pas -->
+</para>
+</answer>
+</qandaentry>
+<qandaentry>
+<question>
+<para>
+When is the next version of SAXO due out ?
+</para>
+</question>
+<answer>
+<para>
+</para>
+</answer>
+</qandaentry>
+<qandaentry>
+<question>
+<para>
+How can I find if a routine to do what I want already exists ?
+</para>
+</question>
+<answer>
+<para>
+</para>
+</answer>
+</qandaentry>
+<qandaentry>
+<question>
+<para>
+How should SAXO be cited or acknowledged in publication ?
+</para>
+</question>
+<answer>
+<para>
+</para>
+</answer>
+</qandaentry>
+</qandadiv>
+<qandadiv id="technical">
+<title>Technical questions</title>
+<qandaentry>
+<question>
+<para>
+Is there on-line help for SAXO ?
+</para>
+</question>
+<answer>
+<para>
+</para>
+</answer>
+</qandaentry>
+</qandadiv>
+<qandadiv id="Contributors">
+<title>Contributors</title>
+<qandaentry>
+<question>
+<para>
+Is there an SAXO Style Guide available ?
+</para>
+</question>
+<answer>
+<para>
+There is a template for header <ulink url="../new_header.txt?format=raw">new_header.txt</ulink>
+which can be parsed by <application>IDLdoc</application>.
+</para>
+<para>
+This file can be added in <application>Emacs</application> configuration
+<menuchoice>
+  <shortcut>
+    <keycombo><keysym>C-c</keysym><keysym>C-h</keysym></keycombo>
+  </shortcut>
+  <guimenu>IDLWAVE</guimenu>
+  <guimenuitem>Templates</guimenuitem>
+  <guimenuitem>Doc Header</guimenuitem>
+</menuchoice>.
+in your <filename>${HOME}/.emacs</filename> like this :
+<programlisting format="linespecific">
+(add-hook 'idlwave-mode-hook
+  (function
+    (lambda ()
+     (setq idlwave-file-header '("<replaceable>SAXO_basedirectory</replaceable>/SAXO_DIR/SRC/Documentation/new_header.txt")
+    ))))
+</programlisting>
+</para>
+</answer>
+</qandaentry>
+<qandaentry>
+<question>
+<para>
+Is there any trouble with <application>IDLdoc</application> ?
+</para>
+</question>
+<answer>
+<para>
+Yes, there are some :
+<itemizedlist>
+<listitem>
+<para>
+<literal>\</literal> in <filename>*.pro</filename> are not written
+in <filename>*.html</filename>.
+They must be escaped by an other <literal>\</literal> or you can choose an other character.
+</para>
+</listitem>
+<listitem>
+<para>
+<guimenu>Search</guimenu> does'nt handle characters like <literal>-</literal>
+and <literal>|</literal>.
+</para>
+</listitem>
+<listitem>
+<para>
+Paragraphs of <filename>*.pro</filename> headers are shown with a proportinal
+font in the <literal>html</literal> release.
+</para>
+<para>
+If you need to draw some small figure like grid cell, you can encapsulate
+between the block to be shown in constant font <!-- see savesaxo.sh -->
+between
+<literal>; &lt;fixe&gt;</literal> and
+<literal>; &lt;/fixe&gt;</literal>
+</para>
+</listitem>
+</itemizedlist>
+</para>
+<para>
+Unfortunatly, these troubles may not be fixed because the author does not
+have anymore the opportunity to work on his own work.
+</para>
+<para>
+Bugs can be submitted to IDL but we do not expect answers !
+<!-- ++ rappel du bug soumis -->
+</para>
+</answer>
+</qandaentry>
+</qandadiv>
+</qandaset>
+</article>
Index: trunk/SRC/Documentation/xmldoc/main.xml
===================================================================
--- trunk/SRC/Documentation/xmldoc/main.xml	(revision 160)
+++ trunk/SRC/Documentation/xmldoc/main.xml	(revision 161)
@@ -89,5 +89,5 @@
 <listitem>
 <para>
-FAQ (to be created...)
+<ulink url="../../saxo/browser/trunk/SRC/Documentation/xmldoc/faqsaxo.html?format=raw">FAQ</ulink>
 </para>
 </listitem>
Index: trunk/SRC/Documentation/xmldoc/makehtml.sh
===================================================================
--- trunk/SRC/Documentation/xmldoc/makehtml.sh	(revision 160)
+++ trunk/SRC/Documentation/xmldoc/makehtml.sh	(revision 161)
@@ -1,3 +1,3 @@
-#!/bin/bash
+#!/bin/bash -x
 #
 # update : 
@@ -8,4 +8,6 @@
 # released on 1 September 2005) doesn't handle carriage returns
 #
+# fplod 2006-08-18T13:38:31Z aedon.locean-ipsl.upmc.fr (Darwin)
+# add faqsaxo which needs xmllint processing to resolve xinclude
 # fplod 2006-07-21T08:25:05Z aedon.locean-ipsl.upmc.fr (Darwin)
 # add prerequisites for mini_notice production
@@ -254,4 +256,9 @@
       /bin/rm /tmp/rowscm.xml
    ;;
+   faqsaxo)
+      # resolve xinclude 
+      xmllint --xinclude \
+              --output ${1}_${$}.xml ${1}.xml
+   ;;
    *)
       cp ${1}.xml ${1}_${$}.xml 
@@ -260,5 +267,5 @@
 esac
 #
-CLASSPATH="$CLASSPATH:\
+CLASSPATH="${CLASSPATH}:\
 /sw/share/java/saxon/saxon.jar:\
 /sw/share/xml/xsl/docbook-xsl/extensions/saxon653.jar"
Index: trunk/SRC/Documentation/xmldoc/saxo.css
===================================================================
--- trunk/SRC/Documentation/xmldoc/saxo.css	(revision 160)
+++ trunk/SRC/Documentation/xmldoc/saxo.css	(revision 161)
@@ -9,4 +9,6 @@
 fplod 2006-07-20T14:03:51Z aedon.locean-ipsl.upmc.fr (Darwin)
 add style for gui* moche mais c'est juste pour voir
+fplod 2006-08-18T13:06:22Z aedon.locean-ipsl.upmc.fr (Darwin)
+suppression du cadre dans les tables filles de div de class qandaset
 */
 
@@ -29,2 +31,6 @@
     font-weight: bold;
     font-style: italic; }
+
+div.qandaset table {
+     border: none;
+}