Index: trunk/SRC/Documentation/idldoc_html_output/ToBeReviewed/TRIANGULATION/triangule.html
===================================================================
--- trunk/SRC/Documentation/idldoc_html_output/ToBeReviewed/TRIANGULATION/triangule.html	(revision 157)
+++ trunk/SRC/Documentation/idldoc_html_output/ToBeReviewed/TRIANGULATION/triangule.html	(revision 163)
@@ -699,5 +699,7 @@
       </div>
 
-      <div id="file_comments"></div>
+      <div id="file_comments">
+
+</div>
 
       
@@ -714,13 +716,16 @@
 	<div class="routine_details" id="_triangule">
 
-	  <h2><a class="top" href="#container">top</a>triangule </h2>
+	  <h2><a class="top" href="#container">top</a>triangule <span class="categories">
+
+</span></h2>
 	
 	  <p class="header">
-	    <span class="result">result = </span>triangule(<span class="result"><a href="#_triangule_param_maskentree">maskentree</a></span>, <a href="#_triangule_keyword_BASIC">BASIC</a>=<span class="result">BASIC</span>, <a href="#_triangule_keyword_COINMONTE">COINMONTE</a>=<span class="result">COINMONTE</span>, <a href="#_triangule_keyword_COINDESCEND">COINDESCEND</a>=<span class="result">COINDESCEND</span>, <a href="#_triangule_keyword__extra">_extra</a>=<span class="result">_extra</span>)</p>
-	
-	  <div class="comments">
-</div>
-
-	  
+	    <span class="result">result = </span>triangule(<span class="result">[<a href="#_triangule_param_maskentree">maskentree</a>]</span>, <a href="#_triangule_keyword_BASIC">BASIC</a>=<span class="result">BASIC</span>, <a href="#_triangule_keyword_COINMONTE">COINMONTE</a>=<span class="result">array</span>, <a href="#_triangule_keyword_COINDESCEND">COINDESCEND</a>=<span class="result">array</span>, <a href="#_triangule_keyword__extra">_extra</a>=<span class="result">_extra</span>)</p>
+	
+	  <div class="comments"></div>
+
+	  <h3>Return value</h3><div class="preformat">
+
+</div>
 
 	  
@@ -729,15 +734,19 @@
 	    
 	    <h4 id="_triangule_param_maskentree">maskentree&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
-	      
-	      
-	      
-	      
-	      
-	      
+	      <span class="attr">in</span>
+	      
+	      <span class="attr">optional</span>
+	      
+	      
+	      <span class="attr">type:</span> <span class="value">2d array</span>
 	      
 	      
 	    </h4>
 	
-	  <div class="comments"></div>
+	  <div class="comments">
+ It is a 2d array which will serve to mask the field we will trace after with CONTOUR, 
+ ...TRIANGULATION=triangule(mask)
+ If this argument is not specified, the function use tmask
+</div>
 	    
 
@@ -759,5 +768,7 @@
 	    </h4>
 	
-	    <div class="comments"></div>
+	    <div class="comments">
+ Specify that the mask is on a basic grid (use the triangulation for vertical cuts and hovmoellers)
+</div>
 	    
 	    <h4 id="_triangule_keyword_COINMONTE">COINMONTE&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
@@ -767,10 +778,14 @@
   	      
 	      
-	      
+	      <span class="attr">type:</span> <span class="value">array</span>
 	      
 	      
 	    </h4>
 	
-	    <div class="comments"></div>
+	    <div class="comments">
+ To obtain the array of "ascending land corner" to be treated with 
+ completecointerre.pro in the variable array instead of make it pass by the global 
+ variable twin_corners_up.
+</div>
 	    
 	    <h4 id="_triangule_keyword_COINDESCEND">COINDESCEND&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
@@ -780,10 +795,12 @@
   	      
 	      
-	      
+	      <span class="attr">type:</span> <span class="value">array</span>
 	      
 	      
 	    </h4>
 	
-	    <div class="comments"></div>
+	    <div class="comments">
+ See COINMONTE
+</div>
 	    
 	    <h4 id="_triangule_keyword__extra">_extra&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
@@ -798,13 +815,21 @@
 	    </h4>
 	
-	    <div class="comments"></div>
+	    <div class="comments">
+ Used to pass your keywords
+</div>
 	    
 	  
 
-	  
-	  
-	  
-	  
-	  
+	  <h3>Examples</h3><div class="preformat">
+
+</div>
+	  <h3>Version history</h3>
+	  
+	  <h4>Version</h4><div class="preformat">
+ $Id$
+</div>
+	  <h4>History</h4><div class="preformat">
+
+</div>
 	  
 	  
@@ -815,14 +840,24 @@
  seb
 </div>
-	  
-	
-	  
-	  
-	  
-	  
-	  
-	  
-	  
-	
+	  <h4>Restrictions</h4><div class="preformat">
+
+</div>
+	
+	  <h3>Other attributes</h3>
+	  
+	  
+	  <h4>Uses routines</h4><div class="preformat">
+
+</div>
+	  
+	  
+	  
+	
+	  <h3>Statistics</h3>
+	  <table class="statistics">
+	    <tr><td>McCabe cyclic</td><td>          10</td></tr>
+	    <tr><td>McCabe essential</td><td>           1</td></tr>
+	    <tr><td>McCabe modular design</td><td>           1</td></tr>
+	  </table>
 	  
 	